(if (= m1 nil)
  (progn
     (setq i1 (ldim))
     (if (not (new_dialog "main" i1)) (exit))
     (settile)
     (set_tile "mm" "1")
     (action_tile "accept" "(setq lu (get_tile \"main\"))")
     (start_dialog)
     (unload_dialog i1)
     (if (= lu "mm")   (progn (setq m1 1.0  m2 2) (setvar "lunits" 2)))
     (if (= lu "din")  (progn (setq m1 1.0  m2 3) (setvar "lunits" 2)))
     (if (= lu "inch") (progn (setq m1 25.4 m2 4) (setvar "lunits" 4)))
     (princ)
  )
 );----------------------------------------------------------------
(defun colref ( / p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 os)
(startsetup)
      (mlay "0" 7)
   (setq p1 (getpoint "\nSelect center point of column : ")
         p2 (polar p1 (dtr 30.0) (/ 2.5 m1))
         p3 (polar p1 (dtr 210.0) (/ 2.5 m1))
         p4 (polar p2 (dtr 150.0) (/ 2.5 m1))
         p5 (polar p2 (dtr 330.0) (/ 2.5 m1))
         p6 (polar p3 (dtr 150.0) (/ 2.5 m1))
         p7 (polar p3 (dtr 330.0) (/ 2.5 m1))
         p8 (polar p1 (dtr 30.0) (/ 7.5 m1))
         p9 (polar p1 (dtr 210.0) (/ 7.5 m1))
         p10 (polar p1 (dtr 150.0) (/ 7.5 m1))
         p11 (polar p1 (dtr 330.0) (/ 7.5 m1))
   )
   (command "_linetype" "set" "continuous" ""
            "_line" p4 p5 p7 p6 p4 ""
            "_ltscale" 5.0
            "_linetype" "set"  "center" ""
            "_line" p9 p8 ""
            "_line" p10 p11 ""
            "_linetype" "set" "continuous" ""
   )
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun addtext ( t1 / e1 l1 r1 r2 r3 p1 os)
(startsetup)
	(while (not e1) (setq e1 (entsel "\nSelect Dimension Text : ")))
	(setq l1 (entget (car e1)))
        (if (= (cdr (assoc 0 l1)) "DIMENSION")
	    (setq r1 (rtd (angle (cdr (assoc 13 l1)) (cdr (assoc 14 l1)))))
	)
        (if (= (cdr (assoc 0 l1)) "TEXT")
	    (setq r1 (rtd (cdr (assoc 50 l1))))
	)
	(while (not p1) (setq p1 (getpoint "\nText Location : ")))
	(if (and (>= r1 5.0) (< r1 85.0)) (setq r2 30.0 r3 30.0))
	(if (and (>= r1 85.0) (< r1 95.0)) (setq r2 30.0 r3 90.0))
	(if (and (>= r1 95.0) (< r1 175.0)) (setq r2 330.0 r3 330.0))
	(if (and (>= r1 175.0) (< r1 185.0)) (setq r2 0.0 r3 0.0))
	(if (and (>= r1 185.0) (< r1 265.0)) (setq r2 30.0 r3 30.0))
	(if (and (>= r1 265.0) (< r1 275.0)) (setq r2 30.0 r3 90.0))
	(if (and (>= r1 275.0) (< r1 355.0)) (setq r2 330.0 r3 330.0))
	(if (and (>= r1 355.0) (< r1 5.0)) (setq r2 0.0 r3 0.0))
        (mlay "6" 5)
	(command "_style" "romans" "" 0.0 0.75 r2 "" "" ""
	         "_text" "c" p1 (/ 2.0 m1) r3 (strcase t1)
	         "_style" "romans" "" "" 0.75 0.0 "" "" "")
        (mlay "0" 7)
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun clel ( / p1 p2 p3 p4 p5 p6 r1 r2 r3 s1 os)
(startsetup)
   (setvar "osmode" 1)
   (setq p1 (getpoint "\nSelect corner point : "))
   (setvar "osmode" 0)
   (setq p2 (getpoint p1 "\nSelect point to write text : ")
         r1 (rtd (angle p1 p2))
         p3 (polar p1 (angle p1 p2) (/ 2.0 m1))
         p4 (polar p1 (angle p1 p2) (distance p2 p3))
         p5 (list (nth 0 p4) (+ (nth 1 p4) (/ 2.5 m1)) (nth 2 p4))
         p6 (polar p5 (dtr 90.0) (/ 0.5 m1))
         s1 (getstring T "\n Center Line Elevation Text : ")
   )
	(if (and (>= r1 5.0) (< r1 85.0)) (setq r2 30.0 r3 30.0))
	(if (and (>= r1 85.0) (< r1 95.0)) (setq r2 30.0 r3 90.0))
	(if (and (>= r1 95.0) (< r1 175.0)) (setq r2 330.0 r3 330.0))
	(if (and (>= r1 175.0) (< r1 185.0)) (setq r2 0.0 r3 0.0))
	(if (and (>= r1 185.0) (< r1 265.0)) (setq r2 30.0 r3 30.0))
	(if (and (>= r1 265.0) (< r1 275.0)) (setq r2 30.0 r3 90.0))
	(if (and (>= r1 275.0) (< r1 355.0)) (setq r2 330.0 r3 330.0))
	(if (and (>= r1 355.0) (< r1 5.0)) (setq r2 0.0 r3 0.0))
        (mlay "0" 7)
        (command "_line" p3 p2 ""
	         "_style" "romans" "" 0.0 0.75 r2 "" "" "")
        (mlay "6" 5)
        (command "_text" p6 (/ 2.0 m1) r3 (strcat "CL EL " (strcase s1))
	         "_style" "romans" "" "" 0.75 0.0 "" "" "")
        (mlay "0" 7)
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun chdimtext ( i1 / s0 e0 l0 l1 os)
(startsetup)
	(princ "\n      Program to Change Dimension Text Height")
	(setq s0 (ssget "X" (list (cons 0 "TEXT") (cons 8 "6"))))
	(if s0 (setq l0 (sslength s0)))
	(if s0 (setq l1 (sslength s0)))
	(while (> l0 0)
             	(setq e0 (ssname s0 (setq l0 (1- l0))))
		(command "_change" e0 "" "" "" "" i1 "" "")
        )
		(command "_redraw")
     (if l1 (progn (princ "\nChecking Over.....Number of Dimension Text checked = ") (princ (itoa l1)) (princ))
                   (princ "\n       No Dimensions to change Text Height.")
     )
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun textobl ( i1 / e1 e2 e3 os)
(startsetup)
	(setvar "osmode" 512)
	(while (not e1) (setq e1 (assoc 51 (setq e3 (entget (car (entsel "\nPick up Text : ")))))))
	(setvar "osmode" 0)
	(if (not i1) (setq i1 (getreal "\nLine Angle : ")))
	(setq e2 (cons 51 (dtr i1)))
	(entmod (subst e2 e1 e3))
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun chtext ( i1 / s0 e0 l0 l1 p1 r1 p1 os)
(startsetup)
	(princ "\n Program to Change Text height to selected height")
	(setq s0 (ssget))
	(if s0 (setq l0 (sslength s0)))
	(if s0 (setq l1 (sslength s0)))
	(while (> l0 0)
             (setq e0 (ssname s0 (setq l0 (1- l0))))
             (if (= (cdr (assoc 0 (entget e0))) "TEXT")
              (progn
   		  (setq	p1 (cdr (assoc 10 (entget e0)))
   			t1 (cdr (assoc 1 (entget e0)))
   			r1 (cdr (assoc 40 (entget e0)))
    			r1 i1)
		(princ "\nChecking text...")
    		(command "_change" e0 "" "" "" "" r1 "" "")
             ))
        )
        (command "_redraw")
     (if l1 (princ "Over.")
            (princ "\n	      No Text Entities Found.")
     )
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun textht ( / s0 e0 l0 l1 p1 r1 p1 os)
(startsetup)
	(princ "\n      Program to Change Text height to user defined height")
	(setq s0 (ssget)
	      r1 (getreal "Text Height : ")
        )
	(if s0 (setq l0 (sslength s0)))
	(if s0 (setq l1 (sslength s0)))
	(while (> l0 0)
             (setq e0 (ssname s0 (setq l0 (1- l0))))
             (if (= (cdr (assoc 0 (entget e0))) "TEXT")
              (progn
   		  (setq	p1 (cdr (assoc 10 (entget e0)))
   			t1 (cdr (assoc 1 (entget e0)))
                  )
		(princ "\nChecking text...")
    		(command "_change" e0 "" "" "" "" r1 "" "")
             ))
        )
        (command "_redraw")
     (if l1 (progn (princ "\nChecking Over.")(princ))
            (princ "\n	      No Text Entities Found.")
     )
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun gasn ( / ang7 p1 p2 p3 os)
(startsetup)
	(setvar "osmode" 1)
	(while (not p1) (setq p1 (getpoint "\nSelect valve end-point  : ")))
	(setvar "osmode" 0)
        (get_ang "Inclination Angle in Degrees : ")
	(while (not ang7) (setq ang7 (getreal "\nInclination Angle in Degrees : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	  (setq ang7 (dtr ang7)
		p2 (polar p1 ang7 (/ 2.0 m1))
		p3 (polar p2 ang7 (/ 2.0 m1)))
      (mlay "6" 5)
	(command "_line" p2 p3 "")
      (mlay "0" 7)
    (princ) (setnil6) (princ)
) ;-----------------------------------------------------------------------
(defun dimiso1 ( i10 / p1 p2 p9 p4 p5 p6 p7 p8 
                   i1 i2 s2 i3 s1 r8 r1 r2 r3 r6 r7 os)
(startsetup)
(setq r3 0.5
      r7 (getvar "dimexe")
      r6 (getvar "dimexo")
      r1 (/ pi 180.0) 
      r2 (/ 180.0 pi)
)
	(setvar "osmode" 1)
(setq p1 (getpoint "\nFirst Extension line location <enter to select line> : "))
   (if (null p1)
	(setq e1 (entsel "\nSelect PipeLine : ")
	      p1 (cadr e1)
	      e1 (car e1)
              e2 (cdr (assoc 8 (entget e1)))
              p1 (cdr (assoc 10 (entget e1)))
              p2 (cdr (assoc 11 (entget e1)))
        )
         (progn
           (initget 1) 
           (setq p2 (getpoint p1 "\nSecond Extension line location  : "))
         )
     )
	(setvar "osmode" 0)
(setq p9 (getpoint "\nDimension line location <Last Point> : "))
  (if (/= p9 nil) (setq p3 p9))
(if (or (and (< (* r2 (angle p1 p2)) 85.0)(>= (* r2 (angle p1 p2)) 0.0))
        (and (< (* r2 (angle p1 p2)) 265.0)(> (* r2 (angle p1 p2)) 185.0)))
    (setq s1 "L")
)
(if (or (and (< (* r2 (angle p1 p2)) 175.0)(> (* r2 (angle p1 p2)) 95.0))
        (and (<= (* r2 (angle p1 p2)) 360.0)(> (* r2 (angle p1 p2)) 275.0)))
    (setq s1 "R")
)
(if (or (and (< (* r2 (angle p1 p2)) 95.0)(> (* r2 (angle p1 p2)) 85.0))
        (and (< (* r2 (angle p1 p2)) 275.0)(> (* r2 (angle p1 p2)) 265.0)))
    (setq s1 "V")
)
      (mlay "6" 5)
(cond ( (= s1 "L") 
        (setq i2 (* r2 (angle p1 p2))
              i1 (+ i2 120.0)
              s2 "ISOAROW2" i3 30)
	(setq p4 (inters p1 (polar p1 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p5 (inters p2 (polar p2 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p6 (polar p4 (angle p4 p5) (/ (distance p4 p5) 2.0)))
	(setq p7 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
        (if (< (car p6) (car p7)) (setq r8 (/ 1 m1)) (setq r8 (- (/ 1 m1))))
	(setq p8 (polar p6 (angle p7 p6) (* r8 (/ 2.0 m1))))
        (setq s1 (getstring t "\nDimension Text : "))
	(command "_line" (polar p1 (angle p1 p4) (* r6 r3)) 
        	        (polar p4 (angle p1 p4) (* r7 r3)) ""
         	 "_line" (polar p2 (angle p2 p5) (* r6 r3)) 
                	(polar p5 (angle p2 p5) (* r7 r3)) ""
         	 "_line" p4 p5 ""
         	 "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
         	 "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	)
	(command "_style" "romans" "" 0 0.75 30.0 "" "" ""
         	 "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         "_style" "romans" "" 0 0.75 0.0 "" "" "")
      )
      ( (= s1 "R") 
        (setq i2 (* r2 (angle p1 p2))
              i1 (- i2 120.0)
              s2 "ISOAROW1" i3 330) 
	(setq p4 (inters p1 (polar p1 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p5 (inters p2 (polar p2 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p6 (polar p4 (angle p4 p5) (/ (distance p4 p5) 2.0)))
	(setq p7 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
        (if (> (car p6) (car p7)) (setq r8 (/ 1 m1)) (setq r8 ( - (/ 1 m1)))) 
	(setq p8 (polar p6 (angle p7 p6) (* r8 (/ 2.0 m1))))
	(setq s1 (getstring t "\nDimension Text : "))
	(command "_line" (polar p1 (angle p1 p4) (* r6 r3))
        	        (polar p4 (angle p1 p4) (* r7 r3)) ""
	         "_line" (polar p2 (angle p2 p5) (* r6 r3))
	                (polar p5 (angle p2 p5) (* r7 r3)) ""
	         "_line" p4 p5 ""
	         "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
	         "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	)
	(command "_style" "romans" "" 0 0.75 -30.0 "" "" ""
	         "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         "_style" "romans" "" 0 0.75 0.0 "" "" "")
      )
      ( (= s1 "V")
       (if (= i10 1)
        (setq i2 (* r2 (angle p1 p2))
              i1 (+ i2 60.0)
              s2 "ISOAROW2" i3 90)
        (setq i2 (* r2 (angle p1 p2))
              i1 (- i2 60.0)
              s2 "ISOAROW2" i3 90)
       )
	(setq p4 (inters p1 (polar p1 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p5 (inters p2 (polar p2 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p6 (polar p4 (angle p4 p5) (/ (distance p4 p5) 2.0)))
	(setq p7 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
        (if (< (car p6) (car p7)) (setq r8 (/ 1 m1)) (setq r8 (- (/ 1 m1)))) 
	(setq p8 (polar p6 (angle p7 p6) (* r8 (/ 2.0 m1))))
        (setq s1 (getstring t "\nDimension Text : "))
	(command "_line" (polar p1 (angle p1 p4) (* r6 r3)) 
        	        (polar p4 (angle p1 p4) (* r7 r3)) ""
         	 "_line" (polar p2 (angle p2 p5) (* r6 r3)) 
                	(polar p5 (angle p2 p5) (* r7 r3)) ""
         	 "_line" p4 p5 ""
         	 "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
         	 "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	)
	(command "_style" "romans" "" 0 0.75 30.0 "" "" ""
         	 "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         "_style" "romans" "" 0 0.75 0.0 "" "" ""
        )
        (mlay "0" 7)
       )
   )
    (princ) (setnil6) (princ)
) ;-------------------------------------------------------------------------
(defun dimiso2 ( / p1 p2 p9 p4 p5 p6 p7 p8 r8 s1
                   i1 i2 s2 i3 r1 r2 r3 r6 r7 os)
(startsetup)
(setq r3 0.5
      r7 (getvar "dimexe")
      r6 (getvar "dimexo")
      r1 (/ pi 180.0) 
      r2 (/ 180.0 pi)
)
(setvar "osmode" 1)
(setq p1 (getpoint "\nFirst Extension line location <enter to select line> : "))
   (if (null p1)
	(setq e1 (entsel "\nSelect PipeLine : ")
	      p1 (cadr e1)
	      e1 (car e1)
              e2 (cdr (assoc 8 (entget e1)))
              p1 (cdr (assoc 10 (entget e1)))
              p2 (cdr (assoc 11 (entget e1)))
        )
         (progn
           (initget 1) 
           (setq p2 (getpoint p1 "\nSecond Extension line location  : "))
         )
     )
	(setvar "osmode" 0)
(setq p9 (getpoint "\nDimension line location <Last Point>: "))
        (if (/= p9 nil) (setq p3 p9))
(if (or (and (< (* r2 (angle p1 p2)) 85.0)(>= (* r2 (angle p1 p2)) 0.0))
        (and (< (* r2 (angle p1 p2)) 265.0)(> (* r2 (angle p1 p2)) 185.0)))
    (setq s1 "L")
)
(if (or (and (< (* r2 (angle p1 p2)) 175.0)(> (* r2 (angle p1 p2)) 95.0))
        (and (<= (* r2 (angle p1 p2)) 360.0)(> (* r2 (angle p1 p2)) 275.0)))
    (setq s1 "R")
)
(if (or (and (< (* r2 (angle p1 p2)) 95.0)(> (* r2 (angle p1 p2)) 85.0))
        (and (< (* r2 (angle p1 p2)) 275.0)(> (* r2 (angle p1 p2)) 265.0)))
    (setq s1 "V")
)
      (mlay "6" 5)
(cond ( (= s1 "L")
        (setq i2 (* r2 (angle p1 p2))       ;30
              i1 (+ i2 60.0)                ;90 
              s2 "ISOAROW2" i3 30)
	(setq p4 (inters p1 (polar p1 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p5 (inters p2 (polar p2 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p6 (polar p4 (angle p4 p5) (/ (distance p4 p5) 2.0)))
	(setq p7 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
        (if (> (cadr p6) (cadr p7)) (setq r8 (/ 1 m1)) (setq r8 (- (/ 1 m1)))) 
	(setq p8 (polar p6 (angle p7 p6) (* r8 (/ 2.0 m1))))
        (setq s1 (getstring t "\nDimension Text : "))
        (if (null p9)
          (progn
            (if ( < (distance p0 p1) (distance p0 p2))
	      (progn
	           (command "_line" (polar p2 (angle p2 p5) (* r6 r3)) 
                        	     (polar p5 (angle p2 p5) (* r7 r3)) ""
        	            "_line" p4 p5 ""
         	            "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
         	            "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	                    "_style" "romans" "" 0 0.75 30.0 "" "" ""
         	            "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	                    "_style" "romans" "" 0 0.75 0.0 "" "" ""
	           )
	           (command "_line" (polar p1 (angle p1 p4) (* r6 r3)) 
        	                    (polar p4 (angle p1 p4) (* r7 r3)) ""
         	            "_line" p4 p5 ""
         	            "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
         	            "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	           )
	           (command "_style" "romans" "" 0 0.75 30.0 "" "" ""
         	            "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	                    "_style" "romans" "" 0 0.75 0.0 "" "" ""
                   )
               )
	    )
	  )
          (progn
             (setq p3 p9)
	     (command "_line" (polar p1 (angle p1 p4) (* r6 r3)) 
        	             (polar p4 (angle p1 p4) (* r7 r3)) ""
         	      "_line" (polar p2 (angle p2 p5) (* r6 r3)) 
                	     (polar p5 (angle p2 p5) (* r7 r3)) ""
         	      "_line" p4 p5 ""
         	      "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
         	      "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	     )
             (mlay "6" 5)
	     (command "_style" "romans" "" 0 0.75 30.0 "" "" ""
         	      "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	              "_style" "romans" "" 0 0.75 0.0 "" "" ""
             )
         )
        )
      )
      ( (= s1 "R") 
        (setq i2 (* r2 (angle p1 p2))       ; 150
              i1 (- i2 60.0)                ;90 
              s2 "ISOAROW1" i3 330) 
	(setq p4 (inters p1 (polar p1 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p5 (inters p2 (polar p2 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p6 (polar p4 (angle p4 p5) (/ (distance p4 p5) 2.0)))
	(setq p7 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
        (if (> (cadr p6) (cadr p7)) (setq r8 (/ 1 m1)) (setq r8 (- (/ 1 m1)))) 
	(setq p8 (polar p6 (angle p7 p6) (* r8 (/ 2.0 m1))))
	(setq s1 (getstring t "\nDimension Text : "))
        (if (null p9)
	  (progn
           (if ( < (distance p0 p1) (distance p0 p2))
	     (progn
		(command "_line" (polar p2 (angle p2 p5) (* r6 r3))
	        	        (polar p5 (angle p2 p5) (* r7 r3)) ""
	         	 "_line" p4 p5 ""
	         	 "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
	         	 "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
		)
		(command "_style" "romans" "" 0 0.75 -30.0 "" "" ""
	        	 "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         	"_style" "romans" "" 0 0.75 0.0 "" "" ""
		)
		(command "_line" (polar p1 (angle p1 p4) (* r6 r3))
        		        (polar p4 (angle p1 p4) (* r7 r3)) ""
	         	"_line" p4 p5 ""
	         	"_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
	         	"_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
		)
        	(mlay "6" 5)
		(command "_style" "romans" "" 0 0.75 -30.0 "" "" ""
	        	 "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         	"_style" "romans" "" 0 0.75 0.0 "" "" ""
        	)
             )
	   )
	  )
          (progn
                (setq p3 p9)
		(command "_line" (polar p1 (angle p1 p4) (* r6 r3))
        		        (polar p4 (angle p1 p4) (* r7 r3)) ""
	         	 "_line" (polar p2 (angle p2 p5) (* r6 r3))
	                	(polar p5 (angle p2 p5) (* r7 r3)) ""
	         	 "_line" p4 p5 ""
	         	 "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
	         	 "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
		)
		(command "_style" "romans" "" 0 0.75 -30.0 "" "" ""
	        	 "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         	"_style" "romans" "" 0 0.75 0.0 "" "" ""
        	)
         )
        )
      )
      ( (= s1 "V")
        (setq i2 (* r2 (angle p1 p2))       ; 90
              i1 (+ i2 90.0)                ;180 
              s2 "ISOAROW2" i3 90)
	(setq p4 (inters p1 (polar p1 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p5 (inters p2 (polar p2 (* r1 i1) 1) p3 (polar p3 (* r1 i2) 1) onseg))
	(setq p6 (polar p4 (angle p4 p5) (/ (distance p4 p5) 2.0)))
	(setq p7 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
        (if (< (car p6) (car p7)) (setq r8 (/ 1 m1)) (setq r8 (- (/ 1 m1)))) 
	(setq p8 (polar p6 (angle p7 p6) (* r8 (/ 2.0 m1))))
        (setq s1 (getstring t "\nDimension Text : "))
	(command "_line" (polar p1 (angle p1 p4) (* r6 r3)) 
        	        (polar p4 (angle p1 p4) (* r7 r3)) ""
         	 "_line" (polar p2 (angle p2 p5) (* r6 r3)) 
                	(polar p5 (angle p2 p5) (* r7 r3)) ""
         	 "_line" p4 p5 ""
         	 "_insert" s2 p5 (/ 1 m1) "" (* r2 (angle p4 p5))
         	 "_insert" s2 p4 (/ 1 m1) "" (* r2 (angle p5 p4))
	)
	(command "_style" "romans" "" 0 0.75 30.0 "" "" ""
         	 "_text" "S" "" "C" p8 (/ 2.0 m1) i3 (strcase s1)
	         "_style" "romans" "" 0 0.75 0.0 "" "" ""
        )
      )
   )
      (mlay "0" 7)
      (setq p0 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0)))
    (princ) (setnil6) (princ)
) ;--------------------------------------------------------------
(defun setnil6 ()
    (setq colref  nil addtext nil clel   nil chdimtext nil
          textobl nil chtext  nil textht nil gasn      nil
	  dimiso1 nil dimiso2 nil
    )
)  (princ)
 ;-----------------------------------------------------------------------
