(defun ldi () (load_dialog "iso.dcl"))
(defun ldim () (load_dialog "isom.dcl"))
(defun dtr ( a ) (* pi (/ a 180.0)))
(defun rtd ( a ) (* (/ a pi) 180.0))
;---------------------------------------------------------------
(defun settile ()
(set_tile "program" "Program by")
(set_tile "company" "SATISH LELE")
(set_tile "phones" "Ph: 91-98202 77283")
(set_tile "email" "E Mail : satish.lele@gmail.com")
(set_tile "website" "Web Site : http://www.svlele.com/iso.htm")
(set_tile "comment" "Double click on option to select")
(set_tile "commentab" "Press Tab to select next option")
(set_tile "commentscc" "Options in bracket are short commands")
(princ)
) ;---------------------------------------------------------------
(defun c:setup () (load "iso7") (setupm) (princ))
(defun c:noz () (load "iso2") (nozm) (princ))
(defun c:pip () (load "iso2") (pipe0) (princ))
(defun c:pipe () (load "iso2") (pipem) (princ))
(defun c:slev () (load "iso2") (sleevem) (princ))
(defun c:insul () (load "iso2") (insulm) (princ))
(defun c:aro () (load "iso2") (arrowm) (princ))
(defun c:tria () (load "iso2") (trianglem) (princ))
(defun c:pbox () (load "iso2") (boxm) (princ))
(defun c:slop () (load "iso2") (slopm) (princ))
(defun c:lbreak () (load "iso2") (lbreakm) (princ))
(defun c:psup () (load "iso2") (psupm) (princ))
(defun c:lay0 () (load "iso2") (lay0m) (princ))
(defun c:cont () (load "iso2") (contm) (princ))

(defun c:val ()  (valve0m) (princ))
(defun c:vsof () (vsofm) (princ))
(defun c:vwnf () (vwnfm) (princ))
(defun c:vsw ()  (vswm) (princ))
(defun c:vsc ()  (vscm) (princ))
(defun c:vsp ()  (vspm) (princ))
(defun c:vswf () (vswfm) (princ))
(defun c:vljf () (vljfm) (princ))

(defun c:fit () (fitting1m) (princ))
(defun c:sifl () (load "iso3") (sifl1m) (princ))
(defun c:dofl () (load "iso1") (dofl1m) (princ))
(defun c:bran () (load "iso4") (bran1m) (princ))
(defun c:elbo () (load "iso3") (elbo1m) (princ))
(defun c:redu () (load "iso3") (redu1m) (princ))
(defun c:coup () (load "iso4") (coup1m) (princ))
(defun c:hose () (load "iso4") (hose1m) (princ))

(defun c:tee ()   (load "iso4.lsp") (tee 1) (princ))
(defun c:teer ()  (load "iso4.lsp") (tee 2) (princ))
(defun c:tees ()  (load "iso4.lsp") (socscrtee 1) (princ))
(defun c:teesc () (load "iso4.lsp") (socscrtee 2) (princ))
(defun c:wele ()  (load "iso4.lsp") (wolet 1) (princ))
(defun c:thr ()   (load "iso4.lsp") (wolet 2) (princ))
(defun c:soc ()   (load "iso4.lsp") (wolet 3) (princ))
(defun c:nip ()   (load "iso4.lsp") (wolet 4) (princ))
(defun c:stub ()  (load "iso4.lsp") (stub) (princ))

(defun c:e90arc () (load "iso3.lsp") (e9 1) (princ))
(defun c:e90 ()    (load "iso3.lsp") (e9 2) (princ))
(defun c:e45arc () (load "iso3.lsp") (e9 3) (princ))
(defun c:e45 ()    (load "iso3.lsp") (e9 4) (princ))
(defun c:e90sw ()  (load "iso3.lsp") (e9sw 1) (princ))
(defun c:e90sc ()  (load "iso3.lsp") (e9sw 2) (princ))
(defun c:mit ()    (load "iso3.lsp") (miter) (princ))

(defun c:cr ()    (load "iso3.lsp") (cr) (princ))
(defun c:erfu ()  (load "iso3.lsp") (erfu) (princ))
(defun c:erfd ()  (load "iso3.lsp") (erfd) (princ))
(defun c:swage () (load "iso3.lsp") (swage) (princ))

(defun c:bom ()       (load "iso1") (bom0) (princ))
(defun c:abom ()      (load "iso1") (abomn) (princ))
(defun c:erase_bom () (load "iso1") ( erase_bomn) (princ))
(defun c:movbom ()    (load "iso1") ( movbomn) (princ))
(defun c:sbsi ()      (load "iso1") (sbsi0) (princ))
(defun c:mbsi ()      (load "iso1") (mbsi0) (princ))

(defun c:diam () (load "iso6.lsp") (dim0) (princ))
(defun c:dive () (load "iso6.lsp") (diven) (princ))
(defun c:diin () (load "iso6.lsp") (diinn) (princ))
(defun c:disy () (load "iso6.lsp") (isymn) (princ))

(defun c:tag () (load "iso1") (tagsm) (princ))
(defun c:wel () (load "iso7") (weldm) (princ))
(defun c:hat () (load "iso7") (hatcm) (princ))
(princ)
;-----------------------------------------------------------
(defun C:iso ()
 (if (= m1 nil)
  (progn
     (setq i1 (ldim))
     (if (not (new_dialog "main" i1)) (exit))
     (settile)
     (set_tile "mm" "1")
     (action_tile "accept" "(setq lu (get_tile \"main\"))")
     (start_dialog)
     (unload_dialog i1)
     (if (= lu "mm")   (progn (setq m1 1.0  m2 2) (setvar "lunits" 2)))
     (if (= lu "din")  (progn (setq m1 1.0  m2 3) (setvar "lunits" 2)))
     (if (= lu "inch") (progn (setq m1 25.4 m2 4) (setvar "lunits" 4)))
     (princ)
  )
 )
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "menu0" i2)) (exit))
(settile)
(set_tile "setup0" "1")
(action_tile "accept" "(setq opt_menu0 (get_tile \"menu0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_menu0 "setup0")   (progn (load "iso7") (setupm)))
(if (= opt_menu0 "nozzle0")  (progn (load "iso2") (nozm)))
(if (= opt_menu0 "pipe0")    (progn (load "iso2") (pipe0)))
(if (= opt_menu0 "valve0")   (valve0m))
(if (= opt_menu0 "fitting0") (fitting1m))
(if (= opt_menu0 "bom0")     (progn (load "iso1") (bom0)))
(if (= opt_menu0 "dim0")     (progn (load "iso6") (dim0)))
(if (= opt_menu0 "tag0")     (progn (load "iso1") (tagsm)))
(if (= opt_menu0 "hatch0")   (progn (load "iso7") (hatcm)))
(if (= opt_menu0 "weld0")    (progn (load "iso7") (weldm)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun nozm ( / i8 i9 i1)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "nozm" i9)) (exit))
        (settile)
	(start_nozm)
	(action_tile "noz_so" "(get_noz_so)")
	(action_tile "noz_wn" "(get_noz_wn)")
	(action_tile "noz_sw" "(get_noz_sw)")
	(action_tile "noz_lj" "(get_noz_lj)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso2") (nozzle 1)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso2") (nozzle 2)))
	(if (and (= i8 1) (= i1 13)) (progn (load "iso2") (nozzle 3)))
	(if (and (= i8 1) (= i1 14)) (progn (load "iso2") (nozzle 4)))
)
(unload_dialog i9)
(princ)
) ;------
(defun get_noz_so () (setq i1 11))
(defun get_noz_wn () (setq i1 12))
(defun get_noz_sw () (setq i1 13))
(defun get_noz_lj () (setq i1 14))
;-----
(defun start_nozm ()
  (foreach v0 '("noz_so" "noz_wn" "noz_sw" "noz_lj")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;-------------------------------------------------------
(defun pipe0 ( / i2)
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "pipe0" i2)) (exit))
(settile)
(set_tile "pipe1" "1")
(action_tile "accept" "(setq opt_pipe0 (get_tile \"pipe0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_pipe0 "pipe1")   (progn (load "iso2") (pipem)))
(if (= opt_pipe0 "sleeve1") (progn (load "iso2") (sleevem)))
(if (= opt_pipe0 "insul1")  (progn (load "iso2") (insulm)))
(if (= opt_pipe0 "arrow1")  (progn (load "iso2") (arrowm)))
(if (= opt_pipe0 "triang1") (progn (load "iso2") (trianglem)))
(if (= opt_pipe0 "box1")    (progn (load "iso2") (boxm)))
(if (= opt_pipe0 "slope1")  (progn (load "iso2") (slopm)))
(if (= opt_pipe0 "linety1") (linety1))
(if (= opt_pipe0 "lbreak1") (progn (load "iso2") (lbreakm)))
(if (= opt_pipe0 "supp1")   (progn (load "iso2") (psupm)))
(if (= opt_pipe0 "chlay1")  (progn (load "iso2") (lay0m)))
(if (= opt_pipe0 "cont1")   (progn (load "iso2") (contm)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun linety1 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "linety1" i2)) (exit))
(settile)
(set_tile "cont1" "1")
(action_tile "accept" "(setq opt_linety1 (get_tile \"linety1\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_linety1 "cont1")    (command "_change" pause "" "properties" "ltype" "continuous" ""))
(if (= opt_linety1 "hidden1")  (command "_change" pause "" "properties" "ltype" "hidden" ""))
(if (= opt_linety1 "hidden2")  (command "_change" pause "" "properties" "ltype" "hidden2" ""))
(if (= opt_linety1 "hiddenx2") (command "_change" pause "" "properties" "ltype" "hiddenx2" ""))
(if (= opt_linety1 "center1")  (command "_change" pause "" "properties" "ltype" "center" ""))
(if (= opt_linety1 "center2")  (command "_change" pause "" "properties" "ltype" "center2" ""))
(if (= opt_linety1 "centerx2") (command "_change" pause "" "properties" "ltype" "centerx2" ""))
(if (= opt_linety1 "phantom1") (command "_change" pause "" "properties" "ltype" "phantom" ""))
(if (= opt_linety1 "phantom2") (command "_change" pause "" "properties" "ltype" "phantom2" ""))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun iso5load ()
  (if (findfile "iso5.lsp")
    (load "iso5")
    (progn (alert "This option is not available in Demo\nPlease buy Full Version\nVisit www.svlele.com/iso.htm") (exit))
  )
) ;---------------------------------------------------------------
(defun valve0m ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "valve0" i2)) (exit))
(settile)
(set_tile "slon1" "1")
(action_tile "accept" "(setq opt_valve0 (get_tile \"valve0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_valve0 "slon1") (vsofm))
(if (= opt_valve0 "wene1") (vwnfm))
(if (= opt_valve0 "swen1") (vswfm))
(if (= opt_valve0 "lajo1") (vljfm))
(if (= opt_valve0 "socw1") (vswm))
(if (= opt_valve0 "scrd1") (vscm))
(if (= opt_valve0 "spva1") (vspm))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun vsofm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vsof" i9)) (exit))
        (settile)
	(start_vsof)
	(action_tile "gate_so" "(get_gate_so)")
	(action_tile "globe_so" "(get_globe_so)")
	(action_tile "plug_so" "(get_plug_so)")
	(action_tile "ball_so" "(get_ball_so)")
	(action_tile "check_so" "(get_check_so)")
	(action_tile "wchek_so" "(get_wchek_so)")
	(action_tile "diaph_so" "(get_diaph_so)")
	(action_tile "butt_so" "(get_butt_so)")
	(action_tile "hydra_so" "(get_hydra_so)")
	(action_tile "fbval_so" "(get_fbval_so)")
	(action_tile "ns_check_so" "(get_ns_check_so)")
	(action_tile "lift_check_so" "(get_lift_check_so)")
	(action_tile "piston_so" "(get_piston_so)")
	(action_tile "knife_so" "(get_knife_so)")
	(action_tile "jack_plug_so" "(get_jack_plug_so)")
	(action_tile "jack_glob_so" "(get_jack_glob_so)")
	(action_tile "pjack_plug_so" "(get_pjack_plug_so)")
	(action_tile "pjack_glob_so" "(get_pjack_glob_so)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (v 1))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (v 2))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (v 3))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (v 4))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 5))
	(if (and (iso5load)  (= i8 1) (= i11 16)) (v 6))
	(if (and (iso5load)  (= i8 1) (= i11 17)) (v 7))
	(if (and (iso5load)  (= i8 1) (= i11 18)) (v 8))
	(if (and (iso5load)  (= i8 1) (= i11 19)) (v 9))
	(if (and (iso5load)  (= i8 1) (= i11 20)) (fbvaln))
	(if (and (iso5load)  (= i8 1) (= i11 61)) (v 61))
	(if (and (iso5load)  (= i8 1) (= i11 62)) (v 62))
	(if (and (iso5load)  (= i8 1) (= i11 63)) (v 63))
	(if (and (iso5load)  (= i8 1) (= i11 64)) (v 64))
	(if (and (iso5load)  (= i8 1) (= i11 65)) (v 65))
	(if (and (iso5load)  (= i8 1) (= i11 66)) (v 66))
	(if (and (iso5load)  (= i8 1) (= i11 67)) (v 67))
	(if (and (iso5load)  (= i8 1) (= i11 68)) (v 68))
)
(unload_dialog i9)
(princ)
)

(defun get_gate_so () (setq i11 11))
(defun get_globe_so () (setq i11 12))
(defun get_plug_so () (setq i11 13))
(defun get_ball_so () (setq i11 14))
(defun get_check_so () (setq i11 15))
(defun get_wchek_so () (setq i11 16))
(defun get_diaph_so () (setq i11 17))
(defun get_butt_so () (setq i11 18))
(defun get_hydra_so () (setq i11 19))
(defun get_fbval_so () (setq i11 20))
(defun get_ns_check_so () (setq i11 61))
(defun get_lift_check_so () (setq i11 62))
(defun get_piston_so () (setq i11 63))
(defun get_jack_plug_so () (setq i11 64))
(defun get_jack_glob_so () (setq i11 65))
(defun get_knife_so () (setq i11 66))
(defun get_pjack_plug_so () (setq i11 67))
(defun get_pjack_glob_so () (setq i11 68))

(defun start_vsof ()
  (foreach v0 '("gate_so" "globe_so" "plug_so" "ball_so"
		"check_so" "wchek_so" "diaph_so" "butt_so"
		"hydra_so" "fbval_so" "ns_check_so" "lift_check_so"
		"piston_so" "jack_plug_so" "jack_glob_so"
		"pjack_plug_so" "pjack_glob_so" "knife_so")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun vwnfm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vwnf" i9)) (exit))
        (settile)
	(start_vwnf)
	(action_tile "gate_wn" "(get_gate_wn)")
	(action_tile "globe_wn" "(get_globe_wn)")
	(action_tile "plug_wn" "(get_plug_wn)")
	(action_tile "ball_wn" "(get_ball_wn)")
	(action_tile "check_wn" "(get_check_wn)")
	(action_tile "wchek_wn" "(get_wchek_wn)")
	(action_tile "diaph_wn" "(get_diaph_wn)")
	(action_tile "butt_wn" "(get_butt_wn)")
  	(action_tile "ns_check_wn" "(get_ns_check_wn)")
	(action_tile "lift_check_wn" "(get_lift_check_wn)")
	(action_tile "piston_wn" "(get_piston_wn)")
	(action_tile "knife_wn" "(get_knife_wn)")
	(action_tile "jack_plug_wn" "(get_jack_plug_wn)")
	(action_tile "jack_glob_wn" "(get_jack_glob_wn)")
	(action_tile "pjack_plug_wn" "(get_pjack_plug_wn)")
	(action_tile "pjack_glob_wn" "(get_pjack_glob_wn)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (v 11))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (v 12))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (v 13))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (v 14))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 15))
	(if (and (iso5load)  (= i8 1) (= i11 16)) (v 16))
	(if (and (iso5load)  (= i8 1) (= i11 17)) (v 17))
	(if (and (iso5load)  (= i8 1) (= i11 18)) (v 18))
	(if (and (iso5load)  (= i8 1) (= i11 71)) (v 71))
	(if (and (iso5load)  (= i8 1) (= i11 72)) (v 72))
	(if (and (iso5load)  (= i8 1) (= i11 73)) (v 73))
	(if (and (iso5load)  (= i8 1) (= i11 74)) (v 74))
	(if (and (iso5load)  (= i8 1) (= i11 75)) (v 75))
	(if (and (iso5load)  (= i8 1) (= i11 76)) (v 76))
	(if (and (iso5load)  (= i8 1) (= i11 77)) (v 77))
	(if (and (iso5load)  (= i8 1) (= i11 78)) (v 78))
)
(unload_dialog i9)
(princ)
)

(defun get_gate_wn () (setq i11 11))
(defun get_globe_wn () (setq i11 12))
(defun get_plug_wn () (setq i11 13))
(defun get_ball_wn () (setq i11 14))
(defun get_check_wn () (setq i11 15))
(defun get_wchek_wn () (setq i11 16))
(defun get_diaph_wn () (setq i11 17))
(defun get_butt_wn () (setq i11 18))
(defun get_ns_check_wn () (setq i11 71))
(defun get_lift_check_wn () (setq i11 72))
(defun get_piston_wn () (setq i11 73))
(defun get_jack_plug_wn () (setq i11 74))
(defun get_jack_glob_wn () (setq i11 75))
(defun get_knife_wn () (setq i11 76))
(defun get_pjack_plug_wn () (setq i11 77))
(defun get_pjack_glob_wn () (setq i11 78))

(defun start_vwnf ()
  (foreach v1 '("gate_wn" "globe_wn" "plug_wn" "ball_wn"
		"check_wn" "wchek_wn" "diaph_wn" "butt_wn"
		"ns_check_wn" "lift_check_wn" "piston_wn"
		"jack_plug_wn" "jack_glob_wn" "pjack_plug_wn"
		"pjack_glob_wn" "knife_wn")
    (start_image v1)
    (slide_image
      0 0
      (- (dimx_tile v1) 1)
      (- (dimy_tile v1) 1)
      (strcat "iso(" v1 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun vswm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vsw" i9)) (exit))
        (settile)
	(start_vsw)
	(action_tile "gate_sw" "(get_gate_sw)")
	(action_tile "globe_sw" "(get_globe_sw)")
	(action_tile "plug_sw" "(get_plug_sw)")
	(action_tile "ball_sw" "(get_ball_sw)")
	(action_tile "check_sw" "(get_check_sw)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (v 21))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (v 22))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (v 23))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (v 24))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 25))
)
(unload_dialog i9)
(princ)
)

(defun get_gate_sw () (setq i11 11))
(defun get_globe_sw () (setq i11 12))
(defun get_plug_sw () (setq i11 13))
(defun get_ball_sw () (setq i11 14))
(defun get_check_sw () (setq i11 15))

(defun start_vsw ()
  (foreach v0 '("gate_sw" "globe_sw" "plug_sw" "ball_sw" "check_sw")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun vscm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vsc" i9)) (exit))
        (settile)
	(start_vsc)
	(action_tile "gate_sc" "(get_gate_sc)")
	(action_tile "globe_sc" "(get_globe_sc)")
	(action_tile "plug_sc" "(get_plug_sc)")
	(action_tile "ball_sc" "(get_ball_sc)")
	(action_tile "check_sc" "(get_check_sc)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (v 31))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (v 32))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (v 33))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (v 34))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 35))
)
(unload_dialog i9)
(princ)
)

(defun get_gate_sc () (setq i11 11))
(defun get_globe_sc () (setq i11 12))
(defun get_plug_sc () (setq i11 13))
(defun get_ball_sc () (setq i11 14))
(defun get_check_sc () (setq i11 15))

(defun start_vsc ()
  (foreach v0 '("gate_sc" "globe_sc" "plug_sc" "ball_sc" "check_sc")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun vspm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vsp" i9)) (exit))
        (settile)
	(start_vsp)
	(action_tile "spv_so" "(get_spv_so)")
	(action_tile "spv_wn" "(get_spv_wn)")
	(action_tile "spv_lj" "(get_spv_lj)")
	(action_tile "spv_sc" "(get_spv_sc)")
	(action_tile "spv_sw" "(get_spv_sw)")
	(action_tile "ftr_so" "(get_ftr_so)")
	(action_tile "ftr_wn" "(get_ftr_wn)")
	(action_tile "amot" "(get_amot)")
	(action_tile "gmot" "(get_gmot)")
	(action_tile "spect" "(get_spect)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (ftr 3))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (ftr 4))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (ftr 1))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (ftr 2))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 41))
	(if (and (iso5load)  (= i8 1) (= i11 16)) (v 42))
	(if (and (iso5load)  (= i8 1) (= i11 17)) (v 43))
	(if (and (iso5load)  (= i8 1) (= i11 18)) (v 44))
	(if (and (iso5load)  (= i8 1) (= i11 19)) (v 46))
	(if (and (iso5load)  (= i8 1) (= i11 20)) (v 45))
)
(unload_dialog i9)
(princ)
)
(defun get_amot ()   (setq i11 11))
(defun get_gmot ()   (setq i11 12))
(defun get_ftr_so () (setq i11 13))
(defun get_ftr_wn () (setq i11 14))
(defun get_spv_so () (setq i11 15))
(defun get_spv_wn () (setq i11 16))
(defun get_spv_lj () (setq i11 17))
(defun get_spv_sc () (setq i11 18))
(defun get_spv_sw () (setq i11 19))
(defun get_spect  () (setq i11 20))

(defun start_vsp ()
  (foreach v0 '("ftr_so" "ftr_wn" "spv_so" "spv_wn" "spv_lj"
		"spv_sc" "spv_sw" "amot" "gmot" "spect")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun vswfm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vswf" i9)) (exit))
        (settile)
	(start_vswf)
	(action_tile "gate_sf" "(get_gate_sf)")
	(action_tile "globe_sf" "(get_globe_sf)")
	(action_tile "plug_sf" "(get_plug_sf)")
	(action_tile "ball_sf" "(get_ball_sf)")
	(action_tile "check_sf" "(get_check_sf)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (v 26))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (v 27))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (v 28))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (v 29))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 30))
)
(unload_dialog i9)
(princ)
)

(defun get_gate_sf () (setq i11 11))
(defun get_globe_sf () (setq i11 12))
(defun get_plug_sf () (setq i11 13))
(defun get_ball_sf () (setq i11 14))
(defun get_check_sf () (setq i11 15))

(defun start_vswf ()
  (foreach v0 '("gate_sf" "globe_sf" "plug_sf" "ball_sf" "check_sf")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun vljfm ( / i8 i9 i11)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "vljf" i9)) (exit))
        (settile)
	(start_vljf)
	(action_tile "gate_lj" "(get_gate_lj)")
	(action_tile "globe_lj" "(get_globe_lj)")
	(action_tile "plug_lj" "(get_plug_lj)")
	(action_tile "ball_lj" "(get_ball_lj)")
	(action_tile "check_lj" "(get_check_lj)")
	(action_tile "wchek_lj" "(get_wchek_lj)")
	(action_tile "diaph_lj" "(get_diaph_lj)")
	(action_tile "butt_lj" "(get_butt_lj)")
    	(action_tile "ns_check_lj" "(get_ns_check_lj)")
	(action_tile "lift_check_lj" "(get_lift_check_lj)")
	(action_tile "piston_lj" "(get_piston_lj)")
	(action_tile "knife_lj" "(get_knife_lj)")
	(action_tile "jack_plug_lj" "(get_jack_plug_lj)")
	(action_tile "jack_glob_lj" "(get_jack_glob_lj)")
	(action_tile "pjack_plug_lj" "(get_pjack_plug_lj)")
	(action_tile "pjack_glob_lj" "(get_pjack_glob_lj)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (iso5load)  (= i8 1) (= i11 11)) (v 51))
	(if (and (iso5load)  (= i8 1) (= i11 12)) (v 52))
	(if (and (iso5load)  (= i8 1) (= i11 13)) (v 53))
	(if (and (iso5load)  (= i8 1) (= i11 14)) (v 54))
	(if (and (iso5load)  (= i8 1) (= i11 15)) (v 55))
	(if (and (iso5load)  (= i8 1) (= i11 16)) (v 56))
	(if (and (iso5load)  (= i8 1) (= i11 17)) (v 57))
	(if (and (iso5load)  (= i8 1) (= i11 18)) (v 58))
	(if (and (iso5load)  (= i8 1) (= i11 81)) (v 81))
	(if (and (iso5load)  (= i8 1) (= i11 82)) (v 82))
	(if (and (iso5load)  (= i8 1) (= i11 83)) (v 83))
	(if (and (iso5load)  (= i8 1) (= i11 84)) (v 84))
	(if (and (iso5load)  (= i8 1) (= i11 85)) (v 85))
	(if (and (iso5load)  (= i8 1) (= i11 86)) (v 86))
	(if (and (iso5load)  (= i8 1) (= i11 87)) (v 87))
	(if (and (iso5load)  (= i8 1) (= i11 88)) (v 88))
)
(unload_dialog i9)
(princ)
)

(defun get_gate_lj () (setq i11 11))
(defun get_globe_lj () (setq i11 12))
(defun get_plug_lj () (setq i11 13))
(defun get_ball_lj () (setq i11 14))
(defun get_check_lj () (setq i11 15))
(defun get_wchek_lj () (setq i11 16))
(defun get_diaph_lj () (setq i11 17))
(defun get_butt_lj () (setq i11 18))
(defun get_ns_check_lj () (setq i11 81))
(defun get_lift_check_lj () (setq i11 82))
(defun get_piston_lj () (setq i11 83))
(defun get_jack_plug_lj () (setq i11 84))
(defun get_jack_glob_lj () (setq i11 85))
(defun get_knife_lj () (setq i11 86))
(defun get_pjack_plug_lj () (setq i11 87))
(defun get_pjack_glob_lj () (setq i11 88))

(defun start_vljf ()
  (foreach v0 '("gate_lj" "globe_lj" "plug_lj" "ball_lj"
		"check_lj" "wchek_lj" "diaph_lj" "butt_lj"
		"ns_check_lj" "lift_check_lj" "piston_lj"
		"jack_plug_lj" "jack_glob_lj" "pjack_plug_lj"
		"pjack_glob_lj" "knife_lj")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun fitting1m ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "fitting1" i2)) (exit))
(settile)
(set_tile "sifl1" "1")
(action_tile "accept" "(setq opt_fitting1 (get_tile \"fitting1\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_fitting1 "sifl1") (progn (load "iso3") (sifl1m)))
(if (= opt_fitting1 "dofl1") (progn (load "iso1") (dofl1m)))
(if (= opt_fitting1 "bran1") (progn (load "iso4") (bran1m)))
(if (= opt_fitting1 "elbo1") (progn (load "iso3") (elbo1m)))
(if (= opt_fitting1 "redu1") (progn (load "iso3") (redu1m)))
(if (= opt_fitting1 "stra1") (stram))
(if (= opt_fitting1 "stgl1") (stglm))
(if (= opt_fitting1 "coup1") (progn (load "iso4") (coup1m)))
(if (= opt_fitting1 "unio1") (progn (load "iso4") (vicoup 1)))
(if (= opt_fitting1 "hose1") (progn (load "iso4") (hose1m)))
(if (= opt_fitting1 "trap1") (progn (load "iso4") (trap1m)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun sifl1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "sifl1" i9)) (exit))
        (settile)
	(start_sifl1)
	(action_tile "flan_wn" "(get_flan_wn)")
	(action_tile "flan_so" "(get_flan_so)")
	(action_tile "flan_sw" "(get_flan_sw)")
	(action_tile "flan_re" "(get_flan_re)")
	(action_tile "flan_lj" "(get_flan_lj)")
	(action_tile "flan_sc" "(get_flan_sc)")
	(action_tile "flan_bl" "(get_flan_bl)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn  (load "iso3") (fwn)))
	(if (and (= i8 1) (= i1 12)) (progn  (load "iso3") (fso)))
	(if (and (= i8 1) (= i1 13)) (progn  (load "iso3") (fsw)))
	(if (and (= i8 1) (= i1 14)) (progn  (load "iso3") (flj)))
	(if (and (= i8 1) (= i1 15)) (progn  (load "iso3") (fsc)))
	(if (and (= i8 1) (= i1 16)) (progn  (load "iso3") (fbl)))
	(if (and (= i8 1) (= i1 17)) (progn  (load "iso3") (fre)))
)
(unload_dialog i9)
(princ)
)

(defun get_flan_wn () (setq i1 11))
(defun get_flan_so () (setq i1 12))
(defun get_flan_sw () (setq i1 13))
(defun get_flan_lj () (setq i1 14))
(defun get_flan_sc () (setq i1 15))
(defun get_flan_bl () (setq i1 16))
(defun get_flan_re () (setq i1 17))

(defun start_sifl1 ()
  (foreach v0 '("flan_wn" "flan_so" "flan_sw" "flan_lj" "flan_sc" 
                "flan_bl" "flan_re")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun dofl1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "dofl1" i9)) (exit))
        (settile)
	(start_dofl1)
	(action_tile "flan_2so" "(get_flan_2so)")
	(action_tile "flan_2wn" "(get_flan_2wn)")
	(action_tile "flan_2sw" "(get_flan_2sw)")
	(action_tile "flan_2lj" "(get_flan_2lj)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn  (load "iso1") (fl 1)))
	(if (and (= i8 1) (= i1 12)) (progn  (load "iso1") (fl 2)))
	(if (and (= i8 1) (= i1 13)) (progn  (load "iso1") (fl 3)))
	(if (and (= i8 1) (= i1 14)) (progn  (load "iso1") (fl 4)))
)
(unload_dialog i9)
(princ)
)

(defun get_flan_2so () (setq i1 11))
(defun get_flan_2wn () (setq i1 12))
(defun get_flan_2sw () (setq i1 13))
(defun get_flan_2lj () (setq i1 14))

(defun start_dofl1 ()
  (foreach v0 '("flan_2so" "flan_2wn" "flan_2sw" "flan_2lj")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun bran1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "bran1" i9)) (exit))
        (settile)
	(start_bran1)
	(action_tile "tee" "(get_tee)")
	(action_tile "tee_red" "(get_tee_red)")
	(action_tile "weldolet" "(get_weldolet)")
	(action_tile "threadol" "(get_threadol)")
	(action_tile "socolet" "(get_socolet)")
	(action_tile "nippolet" "(get_nippolet)")
	(action_tile "stub_in" "(get_stub_in)")
	(action_tile "tee_soc" "(get_tee_soc)")
	(action_tile "tee_scr" "(get_tee_scr)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn  (load "iso4") (tee 1)))
	(if (and (= i8 1) (= i1 12)) (progn  (load "iso4") (tee 2)))
	(if (and (= i8 1) (= i1 13)) (progn  (load "iso4") (wolet 1)))
	(if (and (= i8 1) (= i1 14)) (progn  (load "iso4") (wolet 2)))
	(if (and (= i8 1) (= i1 15)) (progn  (load "iso4") (wolet 3)))
	(if (and (= i8 1) (= i1 16)) (progn  (load "iso4") (wolet 4)))
	(if (and (= i8 1) (= i1 17)) (progn  (load "iso4") (stub)))
	(if (and (= i8 1) (= i1 18)) (progn  (load "iso4") (socscrtee 1)))
	(if (and (= i8 1) (= i1 19)) (progn  (load "iso4") (socscrtee 2)))
)
(unload_dialog i9)
(princ)
)
(defun get_tee () (setq i1 11))
(defun get_tee_red () (setq i1 12))
(defun get_weldolet () (setq i1 13))
(defun get_threadol () (setq i1 14))
(defun get_socolet () (setq i1 15))
(defun get_nippolet () (setq i1 16))
(defun get_stub_in () (setq i1 17))
(defun get_tee_soc () (setq i1 18))
(defun get_tee_scr () (setq i1 19))

(defun start_bran1 ()
  (foreach v0 '("tee" "tee_red" "weldolet" "threadol" "socolet"  
                "nippolet" "stub_in" "tee_soc" "tee_scr")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun elbo1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "elbo1" i9)) (exit))
        (settile)
	(start_elbo1)
	(action_tile "el90_arc" "(get_el90_arc)")
	(action_tile "el90_2l" "(get_el90_2l)")
	(action_tile "el45_arc" "(get_el45_arc)")
	(action_tile "el45_2l" "(get_el45_2l)")
	(action_tile "e9sw" "(get_e9sw)")
	(action_tile "e9sc" "(get_e9sc)")
	(action_tile "blank" "(exit)")
	(action_tile "mitercut" "(get_mitercut)")
	(action_tile "blank" "(exit)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
	(setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn  (load "iso3") (e9 1)))
	(if (and (= i8 1) (= i1 12)) (progn  (load "iso3") (e9 2)))
	(if (and (= i8 1) (= i1 13)) (progn  (load "iso3") (e9 3)))
	(if (and (= i8 1) (= i1 14)) (progn  (load "iso3") (e9 4)))
	(if (and (= i8 1) (= i1 15)) (progn  (load "iso3") (e9sw 1)))
	(if (and (= i8 1) (= i1 16)) (progn  (load "iso3") (e9sw 2)))
	(if (and (= i8 1) (= i1 17)) (progn  (load "iso3") (miter)))
)
(unload_dialog i9)
(princ)
)

(defun get_el90_arc () (setq i1 11))
(defun get_el90_2l () (setq i1 12))
(defun get_el45_arc () (setq i1 13))
(defun get_el45_2l () (setq i1 14))
(defun get_e9sw () (setq i1 15))
(defun get_e9sc () (setq i1 16))
(defun get_mitercut () (setq i1 17))

(defun start_elbo1 ()
  (foreach v0 '("el90_arc" "el90_2l" "el45_arc" "el45_2l" "e9sw" 
                "e9sc" "mitercut")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;----------------------------------------------------------------
(defun redu1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "redu1" i9)) (exit))
        (settile)
	(start_redu1)
	(action_tile "red_c" "(get_red_c)")
	(action_tile "red_efu" "(get_red_efu)")
	(action_tile "red_efb" "(get_red_efb)")
	(action_tile "swage" "(get_swage)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn  (load "iso3") (cr)))
	(if (and (= i8 1) (= i1 12)) (progn  (load "iso3") (erfu)))
	(if (and (= i8 1) (= i1 13)) (progn  (load "iso3") (erfd)))
	(if (and (= i8 1) (= i1 14)) (progn  (load "iso3") (swage)))
)
(unload_dialog i9)
(princ)
)

(defun get_red_c () (setq i1 11))
(defun get_red_efu () (setq i1 12))
(defun get_red_efb () (setq i1 13))
(defun get_swage () (setq i1 14))

(defun start_redu1 ()
  (foreach v0 '("red_c" "red_efu" "red_efb" "swage")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun stram ( / i2)
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "stram" i2)) (exit))
(settile)
(set_tile "stryso" "1")
(action_tile "accept" "(setq opt_stram (get_tile \"stram\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_stram "stryso") (progn (iso5load) (str 1)))
(if (= opt_stram "strywn") (progn (iso5load) (str 2)))
(if (= opt_stram "strysw") (progn (iso5load) (str 5)))
(if (= opt_stram "strysc") (progn (iso5load) (str 6)))
(if (= opt_stram "strbso") (progn (iso5load) (str 3)))
(if (= opt_stram "strbwn") (progn (iso5load) (str 4)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun stglm ( / i2)
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "stglm" i2)) (exit))
(settile)
(set_tile "sgdwso" "1")
(action_tile "accept" "(setq opt_stglm (get_tile \"stglm\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_stglm "sgdwso") (progn (iso5load) (sg 1)))
(if (= opt_stglm "sgdwwn") (progn (iso5load) (sg 2)))
(if (= opt_stglm "sgfvso") (progn (iso5load) (sg 3)))
(if (= opt_stglm "sgfvwn") (progn (iso5load) (sg 4)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun coup1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "coup1" i9)) (exit))
        (settile)
	(start_coup1)
	(action_tile "coup_sf" "(get_coup_sf)")
	(action_tile "coup_tf" "(get_coup_tf)")
	(action_tile "coup_sh" "(get_coup_sh)")
	(action_tile "coup_th" "(get_coup_th)")
	(action_tile "hexcoup" "(get_hexcoup)")
	(action_tile "vicoup" "(get_vicoup)")
	(action_tile "hosecoup" "(get_hosecoup)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
	(setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso4") (coup 1)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso4") (coup 2)))
	(if (and (= i8 1) (= i1 13)) (progn (load "iso4") (coup 3)))
	(if (and (= i8 1) (= i1 14)) (progn (load "iso4") (coup 4)))
	(if (and (= i8 1) (= i1 15)) (progn (load "iso4") (hexcoup)))
	(if (and (= i8 1) (= i1 16)) (progn (load "iso4") (vicoup 2)))
	(if (and (= i8 1) (= i1 17)) (progn (load "iso4") (hosecoup)))
)
(unload_dialog i9)
(princ)
)
(defun get_coup_sf () (setq i1 11))
(defun get_coup_tf () (setq i1 12))
(defun get_coup_sh () (setq i1 13))
(defun get_coup_th () (setq i1 14))
(defun get_hexcoup () (setq i1 15))
(defun get_vicoup () (setq i1 16))
(defun get_hosecoup () (setq i1 17))

(defun start_coup1 ()
  (foreach v0 '("coup_sf" "coup_tf"
		"coup_sh" "coup_th"
		"hexcoup" "vicoup" "hosecoup")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun hose1m ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "hose1" i9)) (exit))
        (settile)
	(start_hose1)
	(action_tile "hose_il" "(get_hose_il)")
	(action_tile "flexhose" "(get_flexhose)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso4") (hose)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso4") (flexhose)))
)
(unload_dialog i9)
(princ)
)

(defun get_hose_il () (setq i1 11))
(defun get_flexhose () (setq i1 12))

(defun start_hose1 ()
  (foreach v0 '("hose_il" "flexhose")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;----------------------------------------------------------
(defun traptyp ( / i1)
   (setq i1 (ldim))
   (if (not (new_dialog "traptyp" i1)) (exit))
   (set_tile "thdc" "1")
   (action_tile "accept" "(setq trty (get_tile \"traptyp\"))")
   (start_dialog)
   (unload_dialog i1)
)
;------------------------------------------------------------------
(defun bom0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "bom0" i2)) (exit))
(settile)
(set_tile "tden" "1")
(action_tile "accept" "(setq opt_bom0 (get_tile \"bom0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_bom0 "tden") (progn (load "iso1") (bomtab 1)))
(if (= opt_bom0 "abom") (progn (load "iso1") (abomn)))
(if (= opt_bom0 "otab") (progn (load "iso1") (bomtab 0)))
(if (= opt_bom0 "edes") (progn (load "iso1") (edes0)))
(if (= opt_bom0 "ecla") (progn (load "iso1") (edes_cl)))
(if (= opt_bom0 "sbsi") (progn (load "iso9") (sbsi0)))
(if (= opt_bom0 "bosi") (progn (load "iso9") (mbsi0)))
(if (= opt_bom0 "chno") (progn (load "iso7") (neno0)))
(if (= opt_bom0 "obte") (progn (load "iso6") (obte0)))
(if (= opt_bom0 "chth") (progn (load "iso6") (chth0)))
(if (= opt_bom0 "mobm") (progn (load "iso1") (movbomn)))
(if (= opt_bom0 "fire") (progn (load "iso7") (findrepn)))
(if (= opt_bom0 "ebom") (progn (load "iso1") (erase_bomn)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun edes0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "edes0" i2)) (exit))
(settile)
(set_tile "edva" "1")
(action_tile "accept" "(setq opt_edes0 (get_tile \"edes0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_edes0 "edva") (progn (load "iso1") (edes_va)))
(if (= opt_edes0 "edpi") (progn (load "iso1") (edit_bom "pipe")))
(if (= opt_edes0 "edfi") (progn (load "iso1") (edes_fi)))
(if (= opt_edes0 "edfl") (progn (load "iso1") (edes_fl)))
(if (= opt_edes0 "edga") (progn (load "iso1") (edit_bom "gasket")))
(if (= opt_edes0 "ednb") (progn (load "iso1") (edit_bom "nutbolt")))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun edes_va ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "edes_va" i2)) (exit))
(settile)
(set_tile "edva150" "1")
(action_tile "accept" "(setq opt_edes_va (get_tile \"edes_va\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_edes_va "edva150") (progn (load "iso1") (edit_bom "valve150")))
(if (= opt_edes_va "edva300") (progn (load "iso1") (edit_bom "valve300")))
(if (= opt_edes_va "edva600") (progn (load "iso1") (edit_bom "valve600")))
(if (= opt_edes_va "edva800") (progn (load "iso1") (edit_bom "valve800")))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun edes_fi ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "edes_fi" i2)) (exit))
(settile)
(set_tile "elbo" "1")
(action_tile "accept" "(setq opt_edes_fi (get_tile \"edes_fi\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_edes_fi "elbo") (progn (load "iso1") (edit_bom "elbow")))
(if (= opt_edes_fi "tere") (progn (load "iso1") (edit_bom "teered")))
(if (= opt_edes_fi "olet") (progn (load "iso1") (edit_bom "olet")))
(if (= opt_edes_fi "coun") (progn (load "iso1") (edit_bom "coupuni")))
(if (= opt_edes_fi "plca") (progn (load "iso1") (edit_bom "plugcap")))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun edes_fl ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "edes_fl" i2)) (exit))
(settile)
(set_tile "is" "1")
(action_tile "accept" "(setq opt_edes_fl (get_tile \"edes_fl\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_edes_fl "is") (progn (load "iso1") (edit_bom "auststd")))
(if (= opt_edes_fl "us") (progn (load "iso1") (edit_bom "astmstd")))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun edes_cl ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "edes_cl" i2)) (exit))
(settile)
(set_tile "edbom1" "1")
(action_tile "accept" "(setq opt_edes_cl (get_tile \"edes_cl\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_edes_cl "edbom1")  (progn (load "iso1") (editbom "CS_Sch_40")))
(if (= opt_edes_cl "edbom2")  (progn (load "iso1") (editbom "CS_Sch_80")))
(if (= opt_edes_cl "edbom3")  (progn (load "iso1") (editbom "CS_Sch_160")))
(if (= opt_edes_cl "edbom4")  (progn (load "iso1") (editbom "CS_Galvenized")))
(if (= opt_edes_cl "edbom5")  (progn (load "iso1") (editbom "Rubber_lined_Sch_40")))
(if (= opt_edes_cl "edbom6")  (progn (load "iso1") (editbom "HDPE_PN4")))
(if (= opt_edes_cl "edbom7")  (progn (load "iso1") (editbom "HDPE_PN63")))
(if (= opt_edes_cl "edbom8")  (progn (load "iso1") (editbom "HDPE_PN8")))
(if (= opt_edes_cl "edbom9")  (progn (load "iso1") (editbom "HDPE_PN10")))
(if (= opt_edes_cl "edbom10") (progn (load "iso1") (editbom "HDPE_PN125")))
(if (= opt_edes_cl "edbom11") (progn (load "iso1") (editbom "HDPE_PN16")))
(if (= opt_edes_cl "edbom12") (progn (load "iso1") (editbom "PVC")))
(if (= opt_edes_cl "edbom13") (progn (load "iso1") (editbom "Plastic")))
(if (= opt_edes_cl "edbom14") (progn (load "iso1") (editbom "SS304_Sch_40")))
(if (= opt_edes_cl "edbom15") (progn (load "iso1") (editbom "SS316_Heavy")))
(if (= opt_edes_cl "edbom16") (progn (load "iso1") (editbom "SS_Sch_80")))
(if (= opt_edes_cl "edbom17") (progn (load "iso1") (editbom "SS_Sch_80S")))
(if (= opt_edes_cl "edbom18") (progn (load "iso1") (editbom "SS_A790_Sch_80S")))
(if (= opt_edes_cl "edbom19") (progn (load "iso1") (editbom "SS_Alloy20_Sch_80S")))
(if (= opt_edes_cl "edbom20") (progn (load "iso1") (editbom "Titanium1")))
(if (= opt_edes_cl "edbom21") (progn (load "iso1") (editbom "Titanium2")))
(if (= opt_edes_cl "edbom22") (progn (load "iso1") (editbom "Titanium3")))
(if (= opt_edes_cl "edbom23") (progn (load "iso1") (editbom "Special1")))
(if (= opt_edes_cl "edbom24") (progn (load "iso1") (editbom "Special2")))
(if (= opt_edes_cl "edbom25") (progn (load "iso1") (editbom "Special3")))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun sbsi0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "sbsi0" i2)) (exit))
(settile)
(set_tile "idil" "1")
(action_tile "accept" "(setq opt_sbsi0 (get_tile \"sbsi0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_sbsi0 "idil") (sidil0))
(if (= opt_sbsi0 "idml") (sidml0))
(if (= opt_sbsi0 "mdml") (smdml0))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun sidil0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "sidil0" i2)) (exit))
(settile)
(set_tile "ansi150" "1")
(action_tile "accept" "(setq opt_sidil0 (get_tile \"sidil0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_sidil0 "ansi150")  (progn (load "iso9") (nutbolt1 1)))
(if (= opt_sidil0 "ansi300")  (progn (load "iso9") (nutbolt1 2)))
(if (= opt_sidil0 "ansi600")  (progn (load "iso9") (nutbolt1 3)))
(if (= opt_sidil0 "ansi900")  (progn (load "iso9") (nutbolt1 4)))
(if (= opt_sidil0 "ansi1500") (progn (load "iso9") (nutbolt1 5)))
(if (= opt_sidil0 "ansi2500") (progn (load "iso9") (nutbolt1 6)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun sidml0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "sidml0" i2)) (exit))
(settile)
(set_tile "ansi150" "1")
(action_tile "accept" "(setq opt_sidml0 (get_tile \"sidml0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_sidml0 "ansi150")  (progn (load "iso9") (nutbolt 1)))
(if (= opt_sidml0 "ansi300")  (progn (load "iso9") (nutbolt 2)))
(if (= opt_sidml0 "ansi600")  (progn (load "iso9") (nutbolt 3)))
(if (= opt_sidml0 "ansi900")  (progn (load "iso9") (nutbolt 4)))
(if (= opt_sidml0 "ansi1500") (progn (load "iso9") (nutbolt 5)))
(if (= opt_sidml0 "ansi2500") (progn (load "iso9") (nutbolt 6)))
(if (= opt_sidml0 "bs10d")    (progn (load "iso9") (nutbolt 7)))
(if (= opt_sidml0 "bs10e")    (progn (load "iso9") (nutbolt 8)))
(if (= opt_sidml0 "bs10f")    (progn (load "iso9") (nutbolt 9)))
(if (= opt_sidml0 "bs10h")    (progn (load "iso9") (nutbolt 10)))
(if (= opt_sidml0 "bs10j")    (progn (load "iso9") (nutbolt 11)))
(if (= opt_sidml0 "bs10k")    (progn (load "iso9") (nutbolt 12)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun smdml0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "sidml0" i2)) (exit))
(settile)
(set_tile "ansi150" "1")
(action_tile "accept" "(setq opt_sidml0 (get_tile \"sidml0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_sidml0 "ansi150")  (progn (load "iso9") (nutbolt 21)))
(if (= opt_sidml0 "ansi300")  (progn (load "iso9") (nutbolt 22)))
(if (= opt_sidml0 "ansi600")  (progn (load "iso9") (nutbolt 23)))
(if (= opt_sidml0 "ansi900")  (progn (load "iso9") (nutbolt 24)))
(if (= opt_sidml0 "ansi1500") (progn (load "iso9") (nutbolt 25)))
(if (= opt_sidml0 "ansi2500") (progn (load "iso9") (nutbolt 26)))
(if (= opt_sidml0 "bs10d")    (progn (load "iso9") (nutbolt 27)))
(if (= opt_sidml0 "bs10e")    (progn (load "iso9") (nutbolt 28)))
(if (= opt_sidml0 "bs10f")    (progn (load "iso9") (nutbolt 29)))
(if (= opt_sidml0 "bs10h")    (progn (load "iso9") (nutbolt 30)))
(if (= opt_sidml0 "bs10j")    (progn (load "iso9") (nutbolt 31)))
(if (= opt_sidml0 "bs10k")    (progn (load "iso9") (nutbolt 32)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun mbsi0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "mbsi0" i2)) (exit))
(settile)
(set_tile "mdml" "1")
(action_tile "accept" "(setq opt_mbsi0 (get_tile \"mbsi0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_mbsi0 "mdml") (mmdml0))
(if (= opt_mbsi0 "idml") (midml0))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun mmdml0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "mmdml0" i2)) (exit))
(settile)
(set_tile "ansi150" "1")
(action_tile "accept" "(setq opt_mmdml0 (get_tile \"mmdml0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_mmdml0 "ansi150")  (progn (load "iso9") (nutbolt 43)))
(if (= opt_mmdml0 "ansi300")  (progn (load "iso9") (nutbolt 44)))
(if (= opt_mmdml0 "bs10d")    (progn (load "iso9") (nutbolt 33)))
(if (= opt_mmdml0 "bs10e")    (progn (load "iso9") (nutbolt 34)))
(if (= opt_mmdml0 "bs10f")    (progn (load "iso9") (nutbolt 35)))
(if (= opt_mmdml0 "bs10h")    (progn (load "iso9") (nutbolt 36)))
(if (= opt_mmdml0 "bs10j")    (progn (load "iso9") (nutbolt 37)))
(if (= opt_mmdml0 "bs10k")    (progn (load "iso9") (nutbolt 38)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun midml0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "mmdml0" i2)) (exit))
(settile)
(set_tile "ansi150" "1")
(action_tile "accept" "(setq opt_midml0 (get_tile \"mmdml0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_midml0 "ansi150")  (progn (load "iso9") (nutbolt 41)))
(if (= opt_midml0 "ansi300")  (progn (load "iso9") (nutbolt 42)))
(if (= opt_midml0 "bs10d")    (progn (load "iso9") (nutbolt 13)))
(if (= opt_midml0 "bs10e")    (progn (load "iso9") (nutbolt 14)))
(if (= opt_midml0 "bs10f")    (progn (load "iso9") (nutbolt 15)))
(if (= opt_midml0 "bs10h")    (progn (load "iso9") (nutbolt 16)))
(if (= opt_midml0 "bs10j")    (progn (load "iso9") (nutbolt 17)))
(if (= opt_midml0 "bs10k")    (progn (load "iso9") (nutbolt 18)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun neno0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "neno0" i2)) (exit))
(settile)
(set_tile "plus1" "1")
(action_tile "accept" "(setq opt_neno0 (get_tile \"neno0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_neno0 "plus1")  (progn (load "iso7") (nextno 1)))
(if (= opt_neno0 "plus2")  (progn (load "iso7") (nextno 2)))
(if (= opt_neno0 "plus3")  (progn (load "iso7") (nextno 3)))
(if (= opt_neno0 "plus4")  (progn (load "iso7") (nextno 4)))
(if (= opt_neno0 "plus5")  (progn (load "iso7") (nextno 5)))
(if (= opt_neno0 "minus1") (progn (load "iso7") (nextno -1)))
(if (= opt_neno0 "minus2") (progn (load "iso7") (nextno -2)))
(if (= opt_neno0 "minus3") (progn (load "iso7") (nextno -3)))
(if (= opt_neno0 "minus4") (progn (load "iso7") (nextno -4)))
(if (= opt_neno0 "minus5") (progn (load "iso7") (nextno -5)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun obte0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "obte0" i2)) (exit))
(settile)
(set_tile "0" "1")
(action_tile "accept" "(setq opt_obte0 (get_tile \"obte0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_obte0 "0")    (progn (load "iso6") (textobl 0)))
(if (= opt_obte0 "30")   (progn (load "iso6") (textobl 30)))
(if (= opt_obte0 "90")   (progn (load "iso6") (textobl 90)))
(if (= opt_obte0 "150")  (progn (load "iso6") (textobl 150)))
(if (= opt_obte0 "180")  (progn (load "iso6") (textobl 180)))
(if (= opt_obte0 "210")  (progn (load "iso6") (textobl 210)))
(if (= opt_obte0 "270")  (progn (load "iso6") (textobl 270)))
(if (= opt_obte0 "330")  (progn (load "iso6") (textobl 330)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun chth0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "chth0" i2)) (exit))
(settile)
(set_tile "2.0" "1")
(action_tile "accept" "(setq opt_chth0 (get_tile \"chth0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_chth0 "2.0")  (progn (load "iso6") (chtext 2.0)))
(if (= opt_chth0 "2.5")  (progn (load "iso6") (chtext 2.5)))
(if (= opt_chth0 "3.0")  (progn (load "iso6") (chtext 3.0)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun dim0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "dim0" i2)) (exit))
(settile)
(set_tile "dive" "1")
(action_tile "accept" "(setq opt_dim0 (get_tile \"dim0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_dim0 "dive") (progn (load "iso6") (diven)))
(if (= opt_dim0 "diin") (progn (load "iso6") (diinn)))
(if (= opt_dim0 "isym") (progn (load "iso6") (isymn)))
(if (= opt_dim0 "dtht") (progn (load "iso6") (dtht0)))
(if (= opt_dim0 "gasi") (progn (load "iso6") (gasn)))
(setq i1 nil i2 nil)
(princ)
);---------------------------------------------------------------
(defun dtht0 ()
(setvar "cmdecho" 0)
(setq i2 (ldim))
(if (not (new_dialog "dtht0" i2)) (exit))
(settile)
(set_tile "cdt20" "1")
(action_tile "accept" "(setq opt_dtht0 (get_tile \"dtht0\"))")
(start_dialog)
(unload_dialog i2)
(if (= opt_dtht0 "cdt10") (progn (load "iso6") (chdimtext 1.0)))
(if (= opt_dtht0 "cdt15") (progn (load "iso6") (chdimtext 1.5)))
(if (= opt_dtht0 "cdt20") (progn (load "iso6") (chdimtext 2.0)))
(if (= opt_dtht0 "cdt25") (progn (load "iso6") (chdimtext 2.5)))
(if (= opt_dtht0 "cdt30") (progn (load "iso6") (chdimtext 3.0)))
(setq i1 nil i2 nil)
(princ)
) ;---------------------------------------------------------------
(defun diven ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "dive" i9)) (exit))
        (settile)
	(start_iso18)
	(action_tile "dim101" "(get_dim101)")
	(action_tile "dim112" "(get_dim112)")
	(action_tile "dim111" "(get_dim111)")
	(action_tile "dim102" "(get_dim102)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso6") (dimiso1 1)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso6") (dimiso1 2)))
	(if (and (= i8 1) (= i1 13)) (progn (load "iso6") (dimiso1 2)))
	(if (and (= i8 1) (= i1 14)) (progn (load "iso6") (dimiso1 1)))
)
(unload_dialog i9)
(princ)
)

(defun get_dim101 () (setq i1 11))
(defun get_dim112 () (setq i1 12))
(defun get_dim111 () (setq i1 13))
(defun get_dim102 () (setq i1 14))

(defun start_iso18 ()
  (foreach v0 '("dim101" "dim112" "dim111" "dim102")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun diinn ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "diin" i9)) (exit))
        (settile)
	(start_diin)
	(action_tile "dim_inc" "(get_dim_inc)")
	(action_tile "dim_ver" "(get_dim_ver)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso6") (dimiso1 0)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso6") (dimiso2)))
)
(unload_dialog i9)
(princ)
)

(defun start_diin ()
  (foreach v0 '("dim_inc" "dim_ver")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun isymn ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "isym" i9)) (exit))
        (settile)
	(start_isym)
        (action_tile "colref" "(get_colref)")
	(action_tile "plus150" "(get_plus150)")
	(action_tile "clel" "(get_clel)")
	(action_tile "hold" "(get_hold)")
	(action_tile "ref" "(get_ref)")
	(action_tile "typ" "(get_typ)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
	(setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 13)) (progn (load "iso6") (colref)))
	(if (and (= i8 1) (= i1 15)) (progn (load "iso6") (clel)))
	(if (and (= i8 1) (= i1 16)) (progn (load "iso6") (addtext "(HOLD)")))
	(if (and (= i8 1) (= i1 17)) (progn (load "iso6") (addtext "(REF)")))
	(if (and (= i8 1) (= i1 18)) (progn (load "iso6") (addtext "(TYP)")))
	(if (and (= i8 1) (= i1 14) (= m1 1.0)) (progn (load "iso6") (addtext "(+150)")))
	(if (and (= i8 1) (= i1 14) (= m1 25.4)) (progn (load "iso6") (addtext "(+6\")")))
)
(unload_dialog i9)
(princ)
)

(defun get_dim_inc () (setq i1 11))
(defun get_dim_ver () (setq i1 12))
(defun get_colref () (setq i1 13))
(defun get_plus150 () (setq i1 14))
(defun get_clel () (setq i1 15))
(defun get_hold () (setq i1 16))
(defun get_ref () (setq i1 17))
(defun get_typ () (setq i1 18))

(defun start_isym ()
  (foreach v0 '("colref" "plus150" "clel" "hold" "ref" "typ")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun tagsm ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "tag0" i9)) (exit))
        (settile)
	(start_tag0)
	(action_tile "spool_no" "(get_spool_no)")
	(action_tile "bubble" "(get_bubble)")
	(action_tile "spf" "(get_spf)")
	(action_tile "circle" "(get_circle)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso7.lsp") (spno)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso1.lsp") (tagno)))
	(if (and (= i8 1) (= i1 13)) (tagspf nil))
	(if (and (= i8 1) (= i1 14)) (progn (load "iso1.lsp") (tagno1)))
)
(unload_dialog i9)
(princ)
)

(defun get_spool_no () (setq i1 11))
(defun get_bubble () (setq i1 12))
(defun get_spf () (setq i1 13))
(defun get_circle () (setq i1 14))

(defun start_tag0 ()
  (foreach v0 '("spool_no" "bubble" "spf" "circle")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;----------------------------------------------------------
(defun weldm ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "weldm" i9)) (exit))
        (settile)
	(start_weldm)
	(action_tile "buttweld" "(get_buttweld)")
	(action_tile "butt" "(get_butt)")
	(action_tile "socweld" "(get_socweld)")
	(action_tile "scrend" "(get_scrend)")
	(action_tile "fw" "(get_fw)")
	(action_tile "ffw" "(get_ffw)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso7.lsp") (bw 1)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso7.lsp") (bw 2)))
	(if (and (= i8 1) (= i1 13)) (socend nil))
	(if (and (= i8 1) (= i1 14)) (scrend))
	(if (and (= i8 1) (= i1 15)) (progn (load "iso7.lsp") (fw 1)))
	(if (and (= i8 1) (= i1 16)) (progn (load "iso7.lsp") (fw 2)))
)
(unload_dialog i9)
(princ)
)

(defun get_buttweld () (setq i1 11))
(defun get_butt () (setq i1 12))
(defun get_socweld () (setq i1 13))
(defun get_scrend () (setq i1 14))
(defun get_fw () (setq i1 15))
(defun get_ffw () (setq i1 16))

(defun start_weldm ()
  (foreach v0 '("buttweld" "butt" "socweld" "scrend" "fw" "ffw")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;---------------------------------------------------------------------
(defun hatcm ( / i8 i9 i1)
(setvar "cmdecho" 0)
(setq i9 (ldim))
(setq i8 5)
(while (< 2 i8)
	(if (not (new_dialog "hatcm" i9)) (exit))
        (settile)
	(start_hatcm)
	(action_tile "hatchh" "(get_hatchh)")
	(action_tile "hatchhr" "(get_hatchhr)")
	(action_tile "hatchv" "(get_hatchv)")
	(action_tile "hatch_h" "(get_hatch_h)")
	(action_tile "hatch_v" "(get_hatch_v)")
	(action_tile "accept" "(done_dialog 1)")
	(action_tile "cancel" "(done_dialog 0)")
        (setq i8 (start_dialog))
	(if (and (= i8 1) (= i1 11)) (progn (load "iso7.lsp") (offline 1)))
	(if (and (= i8 1) (= i1 12)) (progn (load "iso7.lsp") (offline 3)))
	(if (and (= i8 1) (= i1 13)) (progn (load "iso7.lsp") (offline 2)))
	(if (and (= i8 1) (= i1 14)) (progn (load "iso7.lsp")(off_h)))
	(if (and (= i8 1) (= i1 15)) (progn (load "iso7.lsp")(off_v)))
)
(unload_dialog i9)
(princ)
)

(defun get_hatchh () (setq i1 11))
(defun get_hatchhr () (setq i1 12))
(defun get_hatchv () (setq i1 13))
(defun get_hatch_h () (setq i1 14))
(defun get_hatch_v () (setq i1 15))

(defun start_hatcm ()
  (foreach v0 '("hatchh" "hatchhr" "hatchv" "hatch_h" "hatch_v")
    (start_image v0)
    (slide_image
      0 0
      (- (dimx_tile v0) 1)
      (- (dimy_tile v0) 1)
      (strcat "iso(" v0 ")")
    )
    (end_image)
  )
) ;;;---------------------------------------------------------------------
(defun get_lno ( / dcl_id What_next i1_db)
(setq dcl_id (ldi))
(setq what_next 5)
(while (< 2 what_next)
   (if (not (new_dialog "lno" dcl_id)) (exit))
   (settile)
   (setq linesize "0" service "" lineno "" spec "" t11 "0")
   (set_tile "linesize_db" linesize)
   (set_tile "service_db" service)
   (set_tile "lineno_db" lineno)
   (set_tile "spec_db" spec)
   (set_tile "t11_db" t11)
   (action_tile "linesize_db" "(get_linesize_db)")
   (action_tile "service_db" "(get_service_db)")
   (action_tile "lineno_db" "(get_lineno_db)")
   (action_tile "spec_db" "(get_spec_db)")
   (action_tile "t11_db" "(get_t11_db)")
   (action_tile "accept" "(done_dialog 1)")
   (action_tile "cancel" "(done_dialog 0)")
   (setq what_next (start_dialog))
  (if (= what_next 1)(princ))
)
(unload_dialog dcl_id)(princ)
    (princ)  (princ)
)
(defun get_linesize_db () (setq linesize (get_tile "linesize_db")))
(defun get_service_db () (setq service (get_tile "service_db")))
(defun get_lineno_db () (setq lineno (get_tile "lineno_db")))
(defun get_spec_db () (setq spec (get_tile "spec_db")))
(defun get_br1_db () (setq br1 (get_tile "br1_db")))
(defun get_br2_db () (setq br2 (get_tile "br2_db")))
(defun get_br3_db () (setq br3 (get_tile "br3_db")))
(defun get_t11_db () (setq t11 (get_tile "t11_db")))
;------------------------------------------------------------------
(defun startsetup ()
        (setq os (getvar "osmode"))
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
	(setvar "orthomode" 1)
	(grtext -1 "Program by SATISH LELE")(princ)
) ;---------------------------------------------------------
(defun weld ( p1)
	(if (or (= m2 2) (= m2 3)) (command "_insert" "isow" p1 "" "" ""))
	(if (= m2 4) (command "_insert" "isow" p1 (/ 1 m1) "" ""))
     (princ)
) ;---------------------------------------------------------
(defun donutgl ( p1)
	(if (or (= m2 2) (= m2 3)) (command "_insert" "*isow" p1 "" ""))
	(if (= m2 4) (command "_insert" "*isow" p1 (/ 1 m1) ""))
     (princ)
) ;---------------------------------------------------------
(defun mlay ( str col)
     (command "_layer" "m" str "c" col "" "")
     (princ)
) ;---------------------------------------------------------
(defun make_bl (str pin / os)
(startsetup)
  (if (cdr (assoc 2 (tblsearch "block" str)))
    (command "_insert" str pin 1.0 1.0 0.0)
    (m_bl1 str pin)
  )
      (princ)
) ;----------------------------------------------------------
(defun m_bl1 (str pin / ss1 p0 os)
(startsetup)
  	(setq p0 (list 0 0)
	      ss1 (ssadd)
	)
	(command "_point" p0)
     	(setq ss1 (ssadd (entlast) ss1))
     	(command "_block" str p0 ss1 ""
  	         "_insert" str pin 1.0 1.0 0.0)
      (princ)
) ;----------------------------------------------------------
(defun pblay ( str typ col / slen)
     (setq slen (- (strlen str) 2)
           str (substr str 1 slen))
	  (if (> (fix (atof (getvar "acadver"))) 14)
	   (progn
	    (if (= typ "1") (command "_layer" "m" (strcat str "_" typ) "color" col "" "lw" "0.5334" "" ""))
	    (if (= typ "2") (command "_layer" "m" (strcat str "_" typ) "color" col "" "lw" "0.25" "" ""))
	    (if (= typ "3") (command "_layer" "m" (strcat str "_" typ) "color" col "" "lw" "0.15" "" ""))
	    (if (= typ "4") (command "_layer" "m" (strcat str "_" typ) "color" col "" "lw" "0.09" "" ""))
           )
	   (progn
	    (if (= typ "1") (command "_layer" "m" (strcat str "_" typ) "color" col "" ""))
	    (if (= typ "2") (command "_layer" "m" (strcat str "_" typ) "color" col "" ""))
	    (if (= typ "3") (command "_layer" "m" (strcat str "_" typ) "color" col "" ""))
	    (if (= typ "4") (command "_layer" "m" (strcat str "_" typ) "color" col "" ""))
	   )
  	  )
     (princ)
) ;-----------------------------------------------------------
(defun yesno ( type1 / dcl_id What_next i1_db)
(setq dcl_id (ldi))
(setq what_next 5)
(while (< 2 what_next)
  (cond
   ( (= type1 1) (if (not (new_dialog "yesno1" dcl_id)) (exit)))
   ( (= type1 2) (if (not (new_dialog "yesno2" dcl_id)) (exit)))
  )
   (action_tile "accept" "(get_accept)")
   (action_tile "cancel" "(get_cancel)")
   (setq what_next (start_dialog))
)
(unload_dialog dcl_id)(princ)
     (princ)
)
(defun get_accept () (done_dialog 1) (setq t1 "Y"))
(defun get_cancel () (done_dialog 1) (setq t1 "N"))
;---------------------------------------------------------------------
(defun pipedia_mm ( / dcl_id What_next pipe_dia)
(setq tl1 "40" dcl_id (ldi) what_next 5)
(while (< 2 what_next)
   (if (not (new_dialog "pipedia" dcl_id)) (exit))
   (settile)
(if (= m2 2) (setq pipe_dia '("15" "20" "25" "32" "40" "50" "65" "80" "90" "100" "125" "150" "200" "250" "300" "350" "400" "450" "500" "550" "600" "650" "700" "750" "800" "850" "900" "950" "1000" "1050" "1100" "1150" "1200" "1250" "1300" "1350" "1500" "1650" "1800" "1950" "2100" "2250" "2400" "2550" "2700" "2850" "3000" "3150" "3300" "3450" "3600")))
(if (= m2 3) (setq pipe_dia '("20" "25" "32" "40" "50" "60" "75" "90" "100" "115" "140" "190" "220" "270" "325" "355" "400" "450" "500" "600" "750" "800" "900" "1000" "1100" "1200")))
   (start_list "pipe_dia")
   (mapcar 'add_list pipe_dia)
   (end_list)
   (action_tile "pipe_dia" "(get_pipedia)")
   (action_tile "accept" "(done_dialog 1)")
   (action_tile "cancel" "(done_dialog 0)")
   (setq what_next (start_dialog))
)
(unload_dialog dcl_id)
(princ)
)
;-----------------------------------------------------------------------
(defun pipedia_inch ( / dcl_id What_next pipe_dia)
(setq tl1 "1 1/2" dcl_id (ldi) what_next 5)
(while (< 2 what_next)
   (if (not (new_dialog "pipedia" dcl_id)) (exit))
   (settile)
   (setq pipe_dia '("1/2" "3/4" "1" "1 1/4" "1 1/2" "2" "2 1/2" "3" "3 1/2" "4" "5" "6" "8" "10" "12" "14" "16" "18" "20" "22" "24" "26" "28" "30" "32" "34" "36" "38" "40" "42" "44" "46" "48" "50" "52" "54" "60" "66" "72" "78" "84" "90" "96" "102" "108" "114" "120" "126" "132" "138" "144"))
   (start_list "pipe_dia")
   (mapcar 'add_list pipe_dia)
   (end_list)
   (action_tile "pipe_dia" "(get_pipedia)")
   (action_tile "accept" "(done_dialog 1)")
   (action_tile "cancel" "(done_dialog 0)")
   (setq what_next (start_dialog))
)
(unload_dialog dcl_id)
    (cond
        ((= tl1 "1/2")   (setq tl1 "h"))
        ((= tl1 "3/4")   (setq tl1 "3q"))
        ((= tl1 "1 1/4") (setq tl1 "1q"))
        ((= tl1 "1 1/2") (setq tl1 "1h"))
        ((= tl1 "2 1/2") (setq tl1 "2h"))
        ((= tl1 "3 1/2") (setq tl1 "3h"))
        (t (setq tl1 tl1))
    )
    (cond
        ((= tl1 "h")  (setq tl2 "1/2"))
        ((= tl1 "3q") (setq tl2 "3/4"))
        ((= tl1 "1q") (setq tl2 "1 1/4"))
        ((= tl1 "1h") (setq tl2 "1 1/2"))
        ((= tl1 "2h") (setq tl2 "2 1/2"))
        ((= tl1 "3h") (setq tl2 "3 1/2"))
        (t (setq tl2 tl1))
    )
(princ)
)
(defun get_pipedia () (setq tl1 (nth (atoi (get_tile "pipe_dia")) pipe_dia)))
;-----------------------------------------------------------------------
(defun get_ang ( label1 / dcl_id What_next i1_db i1)
(setq dcl_id (ldi))
(setq what_next 5)
(while (< 2 what_next)
   (if (not (new_dialog "ang" dcl_id)) (exit))
   (settile)
   (set_tile "label1" label1)
   (setq i1_db '("0" "30" "90" "150" "180" "210" "270" "330" "Other"))
   (start_list "i1_db")
   (mapcar 'add_list i1_db)
   (end_list)
   (action_tile "i1_db" "(get_ang1)")
   (action_tile "accept" "(done_dialog 1)")
   (action_tile "cancel" "(done_dialog 0)")
   (setq what_next (start_dialog))

  (if (= what_next 1)
    (progn
       (cond
            ((= i1   "0")(setq ang7   0)(princ))
            ((= i1  "30")(setq ang7  30)(princ))
            ((= i1  "90")(setq ang7  90)(princ))
            ((= i1 "150")(setq ang7 150)(princ))
            ((= i1 "180")(setq ang7 180)(princ))
            ((= i1 "210")(setq ang7 210)(princ))
            ((= i1 "270")(setq ang7 270)(princ))
            ((= i1 "330")(setq ang7 330)(princ))
            ((= i1 "Other")(setq ang7 nil)(princ))
      )
    )
  )
)
(unload_dialog dcl_id)(princ)
)
(defun get_ang1 () (setq i1 (nth (atoi (get_tile "i1_db")) i1_db)))
;---------------------------------------------------------------------
;Tag Bubble for special fittings
(defun tagspf ( p30 / p31 p32 p33 p34 p35 p36 i2 t1 t2 os)
(startsetup)
	(setvar "osmode" 512)
(while (not p30) (setq p30 (cadr (entsel "\nSelect object : "))))
	(setvar "osmode" 0)
	(setvar "snapisopair" 0)
(setq p31 (getpoint p30 "\nSecond point : "))
   (get_tag)
   (if (= t1 "") (setq t1 (strcase (getstring T "\nFitting Type :  "))))
   (if (= t2 "") (setq t2 (strcase (getstring T "\nFitting No. :  "))))
   (setq p32 (polar p30 (angle p30 p31) (/ 2.0 m1))
	 p33 (polar p31 (angle p30 p31) (/ 11.0 m1))
	 p34 (polar p31 (angle p30 p31) (/ 5.5 m1))
   )
   (setq p35 (polar p34 (/ pi 2.0) (/ 2.0 m1)))
   (setq p36 (polar p34 (* (/ pi 2.0) 3.0) (/ 2.0 m1)))
     (mlay "5" 7)
(command "_line" p32 p31""
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
	 "_circle" "2p" p31 p33
         "_text" "middle" p35 (/ 2.0 m1) 0.0 (strcase t1)
         "_text" "middle" p36 (/ 2.0 m1) 0.0 (strcase t2)
	 )
      (mlay "0" 7)
(setvar "orthomode" 0)
	 (princ)
) ;------------------------------------------------------------------
(defun get_tag ( / dcl_id What_next i1_db)
(setq dcl_id (ldi))
(setq what_next 5)
(while (< 2 what_next)
   (if (not (new_dialog "tag" dcl_id)) (exit))
   (settile)
   (action_tile "t1_db" "(get_t1_db)")
   (action_tile "t2_db" "(get_t2_db)")
   (action_tile "accept" "(done_dialog 1)")
   (action_tile "cancel" "(done_dialog 0)")
   (setq what_next (start_dialog))
  (if (= what_next 1)(princ))
)
(unload_dialog dcl_id)(princ)
)
(defun get_t1_db () (setq t1 (get_tile "t1_db")))
(defun get_t2_db () (setq t2 (get_tile "t2_db")))
;------------------------------------------------------------------
(defun axrot ( p1 / axerr s olderr obpt oce ogm ohl oucsf ssel bpt e1 e2
                    i1 p101 p102 os)
        (setq os (getvar "osmode"))
        (setvar "osmode" 0)
  (grtext -1 "Program by SATISH LELE")(princ)
  (if (and (= (getvar "cvport") 1) (= (getvar "tilemode") 0)) 
    (progn
      (prompt "\n *** Command not allowed ***\n") 
      (princ)
    ) 
    (progn
      (defun axerr (s)
        (if (/= s "Function cancelled") 
          (princ (strcat "\nError: " s))
        ) 
        (setq *error* olderr)
        (princ)
      ) 
      (setq olderr *error* 
            *error* axerr)
      (princ "\nSelect Fitting by Window ")
      (setq ssel (ssget))
      (if ssel
        (progn
          (setvar "cmdecho" 0)
	(setq e1 (entsel "\nSelect PipeLine : ")
	      p1 (cadr e1)
	      e1 (car e1))
        (if (= (cdr (assoc 0 (entget e1))) "LINE")
          (progn
             (setq e2 (cdr (assoc 8 (entget e1)))
                   p101 (cdr (assoc 10 (entget e1)))
                   p102 (cdr (assoc 11 (entget e1)))
                   i1 (angle p101 p102)
   	           p1 (polar p101 i1 (distance p101 p1))
                   bpt p1
                   bpt (trans bpt 1 0))
	(if ( or (and (>= i1 (dtr 60)) (< i1 (dtr 120))) 
                 (and (>= i1 (dtr 240)) (< i1 (dtr 300))))
            (progn
             (command "_ucs" "X" "-90")
             (setq bpt (trans bpt 0 1))
             (command "_rotate" ssel "" bpt 180.0
                      "_ucs" "p")
        ))
	(if ( or 
               (and (>= i1 (dtr 120)) (< i1 (dtr 240))) 
               (and (>= i1 (dtr 300)) (<= i1 (dtr 360)))
               (and (>= i1 (dtr 0)) (< i1 (dtr 60)))
            )
             (progn 
                 (command "_ucs" "X" "-90"
                          "_ucs" "Y" (rtos ( - 0 (+ (rtd i1) 90))))
                 (setq bpt (trans bpt 0 1))
                 (command "_rotate" ssel "" bpt 180.0
                          "_ucs" "p"
                          "_ucs" "p")
        ))       
             (princ)
       ) (progn (princ "\nYou have not selected a pipeline") (axrot p1) (princ)))
     )
        (progn (princ "\nNothing selected. ") (axrot p1) (princ))
    )
  )
)(princ) 
) ;---------------------------------------------------------------------
(defun sel_pipline ()
  	(setq e1 (entsel "\nSelect Pipeline : ") ; entity
	      p1 (cadr e1)
	      ename (car e1) ; entity name
              lname (cdr (assoc 8 (entget ename))) ; lyaer name
              slen (- (strlen lname) 2)
	      rlname (substr lname 1 slen) ; reduced layer name
	)
  (if (= m1 25.4)
   (cond
        ((= rlname "h")  (setq linesize "1/2\""))
        ((= rlname "3q") (setq linesize "3/4\""))
        ((= rlname "1q") (setq linesize "1 1/4\""))
        ((= rlname "1h") (setq linesize "1 1/2\""))
        ((= rlname "2h") (setq linesize "2 1/2\""))
        ((= rlname "3h") (setq linesize "3 1/2\""))	
	(t (setq linesize (strcat rlname "\"")))
    )
  )
  (if (= m1 1.0) (setq linesize rlname))
     (princ)
) ;------------------------------------------------------------------
(defun sel_ponline ()
	(setvar "osmode" 512)
	(while (not p1) (setq p1 (getpoint "\nInsertion Location : ")))
	(setq e1 (ssget p1) ; entity
	      ename (ssname e1 0) ; entity name
              lname (cdr (assoc 8 (entget ename))) ; lyaer name
              slen (- (strlen lname) 2)
	      rlname (substr lname 1 slen) ; reduced layer name
        )
  (if (= m1 25.4)
   (cond
        ((= rlname "h")  (setq linesize "1/2\""))
        ((= rlname "3q") (setq linesize "3/4\""))
        ((= rlname "1q") (setq linesize "1 1/4\""))
        ((= rlname "1h") (setq linesize "1 1/2\""))
        ((= rlname "2h") (setq linesize "2 1/2\""))
        ((= rlname "3h") (setq linesize "3 1/2\""))
	(t (setq linesize (strcat rlname "\"")))
    )
  )
  (if (= m1 1.0) (setq linesize rlname))
     (princ)
) ;------------------------------------------------------------------
(defun socend ( p1 / ang7 e1 e2 p1 p2 p3 p4 p5 os)
(startsetup)
	(setvar "osmode" 512)
	(while (not p1) (setq p1 (getpoint "\nInsertion Point : ")))
	(setvar "osmode" 0)
  	(setq e1 (ssget p1)
              e2 (cdr (assoc 8 (entget(ssname e1 0)))))
        (get_ang "Weld Direction Angle in Degrees : ")
	(while (not ang7)
	    (setq ang7 (getreal "\nEnter Line Angle in Degrees : "))
	    (if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	)
        (setq ang7 (dtr ang7))
	(if (or (and (< ang7 (/ pi 1.9)) (> ang7 (/ pi 2.1)))
		(and (< ang7 (* 3.0 (/ pi 1.9))) (> ang7 (* 3.0 (/ pi 2.1))))
	    )
	        (setq p2 (polar p1 (dtr 150.0) (/ 2.0 m1))
		      p3 (polar p1 (dtr 330.0) (/ 2.0 m1)))
	   	(setq p2 (polar p1 (dtr 90.0) (/ 2.0 m1))
		      p3 (polar p1 (dtr 270.0) (/ 2.0 m1)))
	)
		(setq p4 (polar p2 ang7 (/ 2.0 m1))
		      p5 (polar p3 ang7 (/ 2.0 m1)))
  (pblay e2 "4" 7)
(command "_line" p2 p3 ""
	 "_line" p2 p4 ""
	 "_line" p3 p5 "")
        (make_bl "socend" p1)
  (mlay	"0" 7)
	 (princ)
) ;-------------------------------------------------------------------------
(defun scrend ( / e1 e2 i1 p1 p2 p3 p101 p102 os)
(startsetup)
	(setq e1 (entsel "\nSelect PipeLine : ")
	      p1 (cadr e1)
	      e1 (car e1))
   (if (= (cdr (assoc 0 (entget e1))) "LINE")
      (progn
             (setq e2 (cdr (assoc 8 (entget e1)))
                   p101 (cdr (assoc 10 (entget e1)))
                   p102 (cdr (assoc 11 (entget e1)))
                   i1 (angle p101 p102)
    	           p1 (polar p101 i1 (distance p101 p1))
	      )
              (if (> i1 pi) (setq i1 (- i1 pi)))
	(if (and (< i1 (/ pi 1.9)) (> i1 (/ pi 2.1)))
	        (setq p2 (polar p1 (dtr 150.0) (/ 2.0 m1))
		      p3 (polar p1 (dtr 330.0) (/ 2.0 m1)))
	   	(setq p2 (polar p1 (dtr 90.0) (/ 2.0 m1))
		      p3 (polar p1 (dtr 270.0) (/ 2.0 m1)))
	)
        (pblay e2 "4" 7)
        (make_bl "scrend" p1)
        (command "_line" p2 p3 "")
        (mlay	"0" 7)
   ))
	 (princ)
) ;-------------------------------------------------------------------------
(defun weldgap ( gap / e1 e2 a1 p1 p2 p3 p4 p5 os)
(startsetup)
      (setvar "osmode" 2)
	(setq e2 (entsel "\nSelect Weld : ")
	      p1 (cadr e2)
	      e1 (car e2)
	      e2 (cdr (assoc 8 (entget e1)))
	      a1 0
	      p2 (polar p1 (+ a1 (/ pi 2.0)) (/ 3.0 m1))
	)
  (if (> a1 pi) (setq a1 (- a1 pi)))
  (cond
	((and (= gap 3) (= m1 1.0)) (setq t1 "3"))
	((and (= gap 2) (= m1 1.0)) (setq t1 "2"))
	((and (= gap 1) (= m1 1.0)) (setq t1 "1"))
	((and (= gap 3) (= m1 25.4)) (setq t1 "1/8\""))
	((and (= gap 2) (= m1 25.4)) (setq t1 "3/32\""))
	((and (= gap 1) (= m1 25.4)) (setq t1 "1/16\""))
  )
  (mlay	e1 7)
  (command "_text" "c" p2 (/ 2.5 m1) (rtd a1) t1)
  (mlay	"0" 7)
   (princ)
) ;-------------------------------------------------------------------------
(princ "\n Iso functions loaded. Type iso and press <enter>") (princ)
