(if (= m1 nil)
  (progn
     (setq i1 (ldim))
     (if (not (new_dialog "main" i1)) (exit))
     (settile)
     (set_tile "mm" "1")
     (action_tile "accept" "(setq lu (get_tile \"main\"))")
     (start_dialog)
     (unload_dialog i1)
     (if (= lu "mm")   (progn (setq m1 1.0  m2 2) (setvar "lunits" 2)))
     (if (= lu "din")  (progn (setq m1 1.0  m2 3) (setvar "lunits" 2)))
     (if (= lu "inch") (progn (setq m1 25.4 m2 4) (setvar "lunits" 4)))
     (princ)
  )
 );----------------------------------------------------------------
(defun tee ( z1 / e1 ename lname slen rlname linesize
	    p1 p2 p3 p4 p10 p11 p12 p13
            ang7 tl1 tl2 p101 p102 os)
(startsetup)
  	(sel_pipline)
  	(pblay lname "2" "4")
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   i1 (angle p101 p102)
	           p1 (polar p101 i1 (distance p101 p1))
	           p2 (polar p1 i1 (/ 6.0 m1))
	           p3 (polar p1 (+ i1 pi) (/ 6.0 m1)))
        (if (> i1 pi) (setq i1 (- i1 pi)))
	(get_ang "Enter Side Branch Angle in Degrees : ")
	(if (not ang7) (setq ang7 (getreal "\nEnter Side Branch Angle in Degrees : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	(setq ang7 (dtr ang7)
	      p4 (polar p1 ang7 (/ 6.0 m1))
	)
     (if (= z1 1) (progn
	(pblay lname "1" 4)
        (command "_line" p1 p4 "")
        (make_bl "tee" p1)
	(pblay lname "4" 7)
        (weld p2) (weld p3) (weld p4)
	(pblay lname "1" 4)
        (setvar "orthomode" 1)
	(command "_line" p4)
     ))
     (if (= z1 2) (progn
	(if (= m1 1.0)  (pipedia_mm))
	(if (= m1 25.4) (pipedia_inch))
	(setvar "orthomode" 0)
	(setq p10 (getpoint p1 "\nCenterpoint of Text : ")
	      p11 (list (car p10) (- (cadr p10) (/ 4.0 m1)))
	      p12 (polar p11 (angle p11 p2) (/ 2.0 m1))
	      p13 (polar p1 (angle p1 p11) (/ 2.0 m1))
        )
	(mlay (strcat tl1 "_1") 4)
	(command "_line" p1 p4 "")
        (make_bl "teer" p1)
	(pblay lname "4" 7)
        (weld p2) (weld p3)
	(mlay (strcat tl1 "_4") 7)
	(weld p4)
	(mlay "5" 7)
        (command "_style" "romans" "" 0.0 0.75 "" "" "" ""
	         "_text" "c" p11 (/ 2.0 m1) 0.0 "RED TEE"
	)
	(if (= m1 25.4) (command "_text" "c" p10 (/ 2.0 m1) 0.0 (strcase (strcat linesize " x " tl2 "\""))))
	(if (= m1 1.0)  (command "_text" "c" p10 (/ 2.0 m1) 0.0 (strcase (strcat linesize " x " tl1))))
	(command "_line" p12 p13 "")
	(mlay (strcat tl1 "_1") 4)
        (setvar "orthomode" 1)
	(command "_line" p4)
     ))
        (setnil4) (princ)
)(progn (princ "\nYou have not selected a pipeline") (tee z1) (princ)))
	(setvar "orthomode" 1)
    (princ) (setnil4) (princ)
) ;-------------------------------------------------------------------------
(defun socscrtee ( z1 /  e1 ename lname slen rlname linesize ang7
		         p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 
			 p11 p12 p13 p14 p15 p16 i1 
		         tl1 p101 p102 os)
(startsetup)
	(sel_pipline)
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   i1 (angle p101 p102)
	           p1 (polar p101 i1 (distance p101 p1))
	      )
	(get_ang "Enter Side Branch Angle in Degrees : ")
	(if (not ang7) (setq ang7 (getreal "\nEnter Side Branch Angle in Degrees : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	(setq ang7 (dtr ang7))
	(if (or (and (< ang7 (dtr 120.0)) (> ang7 (dtr  60.0)))
		(and (< ang7 (dtr 300.0)) (> ang7 (dtr 240.0)))
	    )
            (setq p2 (polar p1 (angle p1 p102) (/ 6.0 m1))
                  p3 (polar p1 (angle p1 p101) (/ 6.0 m1))
                  p4 (polar p1 ang7 (/ 6.0 m1))
                  p5 (polar p3 ang7 (/ 2.0 m1))
                  p6 (polar p5 (angle p1 p101) (/ 1.0 m1))
                  p7 (polar p3 (+ ang7 pi) (/ 2.0 m1))
                  p8 (polar p7 (angle p1 p101) (/ 1.0 m1))
                  p9 (polar p4 (angle p1 p101) (/ 2.0 m1))
		  p10 (polar p9 ang7 (/ 1.0 m1))
                  p11 (polar p4 (angle p1 p102) (/ 2.0 m1))
		  p12 (polar p11 ang7 (/ 1.0 m1))
                  p13 (polar p2 ang7 (/ 2.0 m1))
                  p14 (polar p13 (angle p1 p102) (/ 1.0 m1))
                  p15 (polar p2 (+ ang7 pi) (/ 2.0 m1))
                  p16 (polar p15 (angle p1 p102) (/ 1.0 m1))
            )
            (setq p2 (polar p1 (angle p1 p102) (/ 6.0 m1))
                  p3 (polar p1 (angle p1 p101) (/ 6.0 m1))
                  p4 (polar p1 ang7 (/ 6.0 m1))
                  p5 (polar p3 ang7 (/ 2.0 m1))
                  p6 (polar p5 (angle p1 p101) (/ 1.0 m1))
                  p7 (polar p3 (+ ang7 pi) (/ 2.0 m1))
                  p8 (polar p7 (angle p1 p101) (/ 1.0 m1))
                  p9 (polar p4 (* 3.0 (/ pi 2.0)) (/ 1.0 m1))
		  p10 (polar p9 ang7 (/ 1.0 m1))
                  p11 (polar p4 (/ pi 2.0) (/ 2.0 m1))
		  p12 (polar p11 ang7 (/ 1.0 m1))
                  p13 (polar p2 ang7 (/ 2.0 m1))
                  p14 (polar p13 (angle p1 p102) (/ 1.0 m1))
                  p15 (polar p2 (+ ang7 pi) (/ 2.0 m1))
                  p16 (polar p15 (angle p1 p102) (/ 1.0 m1))
            )
	)
        (if (= z1 1)
	  (progn
	    (pblay lname "2" 4)
               (command "_line" p1 p4 "")
	    (pblay lname "4" 7)
            (make_bl "socend" p2)
            (make_bl "socend" p3)
            (make_bl "socend" p4)
	       (command "_line" p10 p9 p11 p12 ""
		        "_line" p8 p7 p5 p6 ""
		        "_line" p14 p13 p15 p16 ""
               )
	    	(pblay lname "2" 4)
		(make_bl "tesw" p1)
	  )
	  (progn
	    (pblay lname "2" 4)
	  	(command "_line" p1 p4 "")
	    (pblay lname "4" 7)
            (make_bl "scrend" p2)
            (make_bl "scrend" p3)
            (make_bl "scrend" p4)
		(command "_line" p9 p11 ""
		         "_line" p7 p5 ""
		         "_line" p13 p15 ""
               )
	    	(pblay lname "2" 4)
		(make_bl "tesc" p1)
	  )
	)
	    (pblay lname "1" 4)
	    (command "_line" p4)
)(progn (princ "\nYou have not selected a pipeline") (socscrtee z1) (princ)))
	(setvar "orthomode" 1)
    (princ) (setnil4) (princ)
) ;-------------------------------------------------------------------------
(defun wolet ( z1 / e1 ename lname slen rlname linesize ang7
	      i1 i2 i3 i4 tl1
	      p1 p2 p3 p4 p5 p6 p7 p8 p9 p10
	      p11 p12 p13 p14 p101 p102 os)
(startsetup)
	(sel_pipline)
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   i1 (angle p101 p102)
   	           p1 (polar p101 i1 (distance p101 p1))
             )
  	(if (= z1 1) (make_bl "wel" p1))
	(if (= z1 2) (make_bl "thr" p1))
  	(if (= z1 3) (make_bl "soc" p1))
	(if (= z1 4) (make_bl "nip" p1))
	(setq i2 (rtd i1))
	(get_ang "Enter Fitting Angle in Degrees  : ")
	(if (not ang7) (setq ang7 (getreal "\nEnter Fitting Angle in Degrees  : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	(setq i4 (dtr ang7))
    (if (or (= m2 2) (= m2 3)) (pipedia_mm))
    (if (= m2 4) (pipedia_inch))
	(if (not tl1) (setq tl1 (getstring T "\nSide Branch  : ")))
        (mlay (strcat tl1 "_2") 4)
		  (setq p2 (polar p1 (+ pi i1) (/ 2.0 m1))
		        p3 (polar p1 i1 (/ 2.0 m1))
			p9 (polar p1 i4 (/ 2.0 m1))
			p4 (polar p9 (+ pi i1) (/ 3.0 m1))
			p5 (polar p9 i1 (/ 3.0 m1))
			p8 (polar p9 i4 (/ 2.0 m1))
			p6 (polar p8 (+ pi i1) (/ 2.0 m1))
			p7 (polar p8 i1 (/ 2.0 m1))
		        p10 (polar p7 i4 (/ 2.0 m1))
		        p11 (polar p6 i4 (/ 2.0 m1))
		        p12 (polar p1 (+ i4 PI) (/ 4.0 m1))
		        p14 (polar p12 (+ i4 PI) (/ 4.0 m1))
 		        p13 (polar p8 i4 (/ 6.0 m1))	 
                  )
	    (command "_line" p2 p4 "" 
	             "_line" p5 p3 "" 
	             "_line" p4 p5 "" 
	             "_line" p4 p6 "" 
	             "_line" p5 p7 "")
(if (or (= z1 1) (= z1 2) (= z1 3))
	(command "_line" p6 p7 "")
	(command "_line" p6 p13 p7 "")
)
     (if (= z1 1) (progn
	(pblay lname "4" 7)
	 (weld p1)
	(mlay (strcat tl1 "_4") 7)
	 (weld p8)
     ))
     (if (= z1 2) (progn
	(pblay lname "4" 7)
	 (weld p1)
        (make_bl "scrend" p1)
     ))
     (if (= z1 3) (progn
	(pblay lname "4" 7)
	 (weld p1)
        (make_bl "socend" p1)
           (command "_line" p6 p11 "" 
		    "_line" p7 p10 "" )
     ))
     (if (= z1 4) (progn
	(pblay lname "4" 7)
	 (weld p1)
        (make_bl "socend" p13)
     ))
	(if (and (>= i2 0.0) (<= i2 90.0))
             (progn
             (setq i3 i2)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> i2 90.0) (< i2 180.0))
             (progn
             (setq i3 (+ i2 180.0))
	     (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (>= i2 180.0) (<= i2 270.0))
            (progn
            (setq i3 (- i2 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> i2 270.0) (< i2 360.0))
            (progn
            (setq i3 i2)
	    (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
;            (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
	(mlay "5" 7)
(if (= z1 1) (command "_text" "c" p14 (/ 2.0 m1) i3 "WELDOLET"))
(if (= z1 2) (command "_text" "c" p14 (/ 2.0 m1) i3 "THREDOLET"))
(if (= z1 3) (command "_text" "c" p14 (/ 2.0 m1) i3 "SOCOLET"))
(if (= z1 4) (command "_text" "c" p14 (/ 2.0 m1) i3 "NIPOLET"))
	(if (= m1 25.4) (command "_text" "c" p12 (/ 2.0 m1) i3 (strcase (strcat linesize " x " tl2 "\""))))
	(if (= m1 1.0)  (command "_text" "c" p12 (/ 2.0 m1) i3 (strcase (strcat linesize " x " tl1))))
(if (or (= z1 1) (= z1 2) (= z1 3))
            (progn (mlay (strcat tl1 "_1") 4) (command "_line" p8))
   	    (progn (mlay (strcat tl1 "_1") 4) (command "_line" p13))
)
        (setnil4) (princ)
)(progn (princ "\nYou have not selected a pipeline") (wolet z1) (princ)))
      (mlay "0" 7)
    (princ) (setnil4) (princ)
) ;---------------------------------------------------------------------
(defun hosecoup ( / e1 ename lname slen rlname linesize ang7
		 p1 p2 p3 p4 p5 p6 os)
(startsetup)
	(setvar "osmode" 513)
	(sel_ponline)
	(setvar "osmode" 0)
        (get_ang "Orientation angle : ")
        (if (not ang7) (setq ang7 (getangle p1 "\nOrientation angle : ")))
	  (setq ang7 (dtr ang7)
	        p2 (polar p1 ang7 (/ 2.0 m1))
		p3 (polar p2 (+ ang7 (* (/ 120.0 180.0) pi)) (/ 2.0 m1))
		p4 (polar p2 (- ang7 (* (/ 60.0 180.0) pi)) (/ 2.0 m1))
		p5 (polar p3 ang7 (/ 2.0 m1))
		p6 (polar p4 ang7 (/ 2.0 m1)))
  	(pblay lname "2" 4)
	(command "_line" p1 p2 "" 
		 "_line" p5 p3 p4 p6 "")(make_bl "hosc" p1)
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun stub ( / e1 ename lname slen rlname 
	        p1 tl1 os)
(startsetup)
	(setvar "osmode" 512)
	(sel_ponline)
	(setvar "osmode" 0)
        (if (or (= m2 2) (= m2 3)) (pipedia_mm))
	(if (= m2 4) (pipedia_inch))
	(if (not tl1) (setq tl1 (getstring T "\nBranch Pipe Size : ")))
	(princ "\nDraw Pipe and Press enter when done  ")
        (mlay (strcat tl1 "_4") 7)
	(weld p1)
	(mlay (strcat tl1 "_1") 4)
	(make_bl "stub" p1)
	(command "_line" p1)
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun hexcoup ( / e1 ename lname slen rlname linesize ang7
		   i1 i3 p1 p2 p3 p4 p5 p6 p7 os)
(startsetup)
	(setvar "osmode" 512)
	(sel_ponline)
	(setvar "osmode" 512)
	(setq p2 (getpoint "\nSelect a Point on Line of Smaller End of Hex Coupling : "))
	(setvar "osmode" 0)
  (if (= m1 25.4)
    (cond
        ((= rlname "h")  (setq el2 "1/2"))
        ((= rlname "3q") (setq el2 "3/4"))
        ((= rlname "1q") (setq el2 "1 1/4"))
        ((= rlname "1h") (setq el2 "1 1/2"))
        ((= rlname "2h") (setq el2 "2 1/2"))
        ((= rlname "3h") (setq el2 "3 1/2"))
        (t (setq el2 rlname))
    )
  )
  (if (= m1 1.0) (setq size (strcat rlname " X " tl1)))
        (setq i1 (rtd (angle p1 p2))
	      ang3 i1)
	(if (minusp i1) (setq i1 (+ 360.0 i1)))
	(if (= m1 1.0)  (pipedia_mm))
	(if (= m1 25.4) (pipedia_inch))
	(if (and (not tl1) (= m1 1.0)) (setq tl1 (getstring T "\nSize : ")))
	(if (and (not tl2) (= m1 25.4)) (setq tl2 (getstring T "\nSize : ")))
        (if (or (and (> i1 60) (< i1 120)) (and (> i1 240) (< i1 300)))
	  (setq p6 (polar p1 (dtr i1) (/ 4.0 m1))
		p2 (polar p1 (dtr 30.0) (/ 1.5 m1))
		p5 (polar p1 (dtr 210.0) (/ 1.5 m1))
		p3 (polar p6 (dtr 30.0) (/ 1.0 m1))
		p4 (polar p6 (dtr 210.0) (/ 1.0 m1))
		p7 (list (+ (car p5) (/ 5.0 m1)) (+ (cadr p5) (/ 2.0 m1)))
	  )
	  (setq p6 (polar p1 (dtr i1) (/ 4.0 m1))
		p2 (list (car p1) (+ (cadr p1) (/ 1.5 m1)))
		p5 (list (car p1) (- (cadr p1) (/ 1.5 m1)))
		p3 (list (car p6) (+ (cadr p6) (/ 1.0 m1)))
		p4 (list (car p6) (- (cadr p6) (/ 1.0 m1)))
		p7 (list (+ (car p5) (/ 3.0 m1)) (- (cadr p5) (/ 5.0 m1)))
	  )
        )
	  (command "_break" p1 "f" p1 p6)
	  (pblay lname "2" 4)
	  (command "_line" p2 p3 p4 p5 p2 "")
    	  (make_bl "hexc" p1)
  	(if (and (> ang3 10.0) (<= ang3 80.0))
             (progn
             (setq ang5 ang3)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
  	(if (and (> ang3 80.0) (<= ang3 100.0))
             (progn
             (setq ang5 ang3)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 100.0) (<= ang3 170.0))
             (progn
             (setq ang5 (- ang3 180.0))
	     (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (> ang3 170.0) (<= ang3 190.0))
             (progn
             (setq ang5 (- ang3 180.0))
	     (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
        ))
	(if (and (> ang3 190.0) (<= ang3 260.0))
            (progn
            (setq ang5 (- ang3 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 260.0) (<= ang3 280.0))
            (progn
             (setq ang5 (- ang3 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 280.0) (<= ang3 350.0))
            (progn
             (setq ang5 ang3)
	    (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (> ang3 (- 10.0)) (<= ang3 10.0))
            (progn
             (setq ang5 ang3)
	    (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
        ))
	(mlay "5" 7)
	(if (= m1 25.4) (command "_text" "c" p7 (/ 2.0 m1) ang5 (strcase (strcat el2 "\" x " tl2 "\""))))
	(if (= m1 1.0)  (command "_text" "c" p7 (/ 2.0 m1) ang5 (strcase (strcat rlname " x " tl1))))
	(mlay "0" 7)
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun coup ( i2 / e1 ename lname slen rlname linesize ang7
	           i3 i4 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11
	           p101 p102 os)
(startsetup)
	(sel_pipline)
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   i3 (angle p101 p102)
		   i4 (rtd i3)
		   ang3 i4
   	           p1 (polar p101 i3 (distance p101 p1))
             )
	(if (> i4 180.0) (setq i4 (- i4 180.0)))
        (get_ang "Coupling Angle in Degrees : ")
	(if (not ang7) (setq ang7 (getreal "\nCoupling Angle in Degrees : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	(setq ang7 (dtr ang7))
        (if (or (= m2 2) (= m2 3)) (pipedia_mm))
	(if (= m2 4) (pipedia_inch))
	(if (not tl1) (setq tl1 (getstring T "\nBranch Pipe Size : ")))
	(if ( or (= i2 1) (= i2 2)) (setq p6 (polar p1 ang7 (/ 5.0 m1))))
	(if ( or (= i2 3) (= i2 4)) (setq p6 (polar p1 ang7 (/ 2.5 m1))))
	  (setq p2 (polar p1 i3 (/ 1.5 m1))
		p5 (polar p1 (+ i3 pi) (/ 1.5 m1))
		p3 (polar p6 i3 (/ 1.5 m1))
		p4 (polar p6 (+ i3 pi) (/ 1.5 m1))
		p7 (polar p1 (+ ang7 PI) (/ 4.0 m1))
		p8 (polar p6 i3 (/ 1.0 m1))
		p9 (polar p6 (+ i3 pi) (/ 1.0 m1))
	        p10 (polar p8 ang7 (/ 1.0 m1))
		p11 (polar p9 ang7 (/ 1.0 m1))
	  )
  	(if (and (> ang3 10.0) (<= ang3 80.0))
             (progn
             (setq ang5 ang3)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
  	(if (and (> ang3 80.0) (<= ang3 100.0))
             (progn
             (setq ang5 ang3)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 100.0) (<= ang3 170.0))
             (progn
             (setq ang5 (- ang3 180.0))
	     (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (> ang3 170.0) (<= ang3 190.0))
             (progn
             (setq ang5 (- ang3 180.0))
	     (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
        ))
	(if (and (> ang3 190.0) (<= ang3 260.0))
            (progn
            (setq ang5 (- ang3 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 260.0) (<= ang3 280.0))
            (progn
             (setq ang5 (- ang3 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 280.0) (<= ang3 350.0))
            (progn
             (setq ang5 ang3)
	    (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (> ang3 (- 10.0)) (<= ang3 10.0))
            (progn
             (setq ang5 ang3)
	    (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
        ))
	(mlay "5" 7)
	(if (= m1 25.4) (command "_text" "c" p7 (/ 2.0 m1) ang5 (strcase (strcat linesize " x " tl2 "\""))))
	(if (= m1 1.0)  (command "_text" "c" p7 (/ 2.0 m1) ang5 (strcase (strcat linesize " x " tl1))))
        (mlay (strcat tl1 "_2") 4)
	(command "_line" p2 p3 p4 p5 "")
	(if (= i2 1) (progn
	      (make_bl "fcou" p1)
	      (pblay lname "4" 7)
              (weld p1)
              (mlay (strcat tl1 "_4") 7)
	      (command "_line" p8 p10 ""
		       "_line" p9 p11 "")
	      (make_bl "socend" p6)
	))
	(if (= i2 2) (progn
	      (make_bl "thfc" p1)
	      (pblay lname "4" 7)
              (weld p1)
              (mlay (strcat tl1 "_4") 7)
	      (make_bl "scrend" p6)
	))
	(if (= i2 3) (progn
	      (make_bl "hcou" p1)
              (mlay (strcat tl1 "_4") 7)
	      (weld p1)
              (mlay (strcat tl1 "_4") 7)
	      (command "_line" p8 p10 ""
		       "_line" p9 p11 "")
	      (make_bl "socend" p6)
	))
	(if (= i2 4) (progn
	      (make_bl "thhc" p1)
	      (pblay lname "4" 7)
              (weld p1)
              (mlay (strcat tl1 "_4") 7)
	      (make_bl "scrend" p6)
	))
	(mlay (strcat tl1 "_1") 4)
	(command "_line" p6)
        (setnil4) (princ)
     )
     (progn (princ "\nYou have not selected a pipeline") (coup i2) (princ))
   )
	(mlay "0" 7)
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun tcoup ( i2 / e1 ename lname slen rlname linesize ang7
	            i3 p1 p2 p3 p4 p5 p6 p7 p101 p102 os)
(startsetup)
	(sel_pipline)
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   i3 (angle p101 p102)
   	           p1 (polar p101 i3 (distance p101 p1))
             )
        (get_ang "Coupling Angle in Degrees : ")
	(if (not ang7) (setq ang7 (getreal "\nCoupling Angle in Degrees : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	  (setq ang7 (dtr ang7)
		ang3 ang7)
	(if (= i2 1) (setq p6 (polar p1 ang7 (/ 5.0 m1))))
	(if (= i2 2) (setq p6 (polar p1 ang7 (/ 3.0 m1))))
 	(setq p2 (polar p1 i3 (/ 1.5 m1))
		p5 (polar p1 (+ i3 pi) (/ 1.5 m1))
		p3 (polar p6 i3 (/ 1.5 m1))
		p4 (polar p6 (+ i3 pi) (/ 1.5 m1))
		p7 (polar p1 (+ ang7 PI) (/ 4.0 m1))
	)
        (if (or (= m2 2) (= m2 3)) (pipedia_mm))
	(if (= m2 4) (pipedia_inch))
	(if (not tl1) (setq tl1 (getstring T "\nMain Pipe Size : ")))
  	(if (and (> ang3 10.0) (<= ang3 80.0))
             (progn
             (setq ang5 ang3)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
  	(if (and (> ang3 80.0) (<= ang3 100.0))
             (progn
             (setq ang5 ang3)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 100.0) (<= ang3 170.0))
             (progn
             (setq ang5 (- ang3 180.0))
	     (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (> ang3 170.0) (<= ang3 190.0))
             (progn
             (setq ang5 (- ang3 180.0))
	     (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
        ))
	(if (and (> ang3 190.0) (<= ang3 260.0))
            (progn
            (setq ang5 (- ang3 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 260.0) (<= ang3 280.0))
            (progn
             (setq ang5 (- ang3 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (> ang3 280.0) (<= ang3 350.0))
            (progn
             (setq ang5 ang3)
	    (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (> ang3 (- 10.0)) (<= ang3 10.0))
            (progn
             (setq ang5 ang3)
	    (command "_style" "romans" "" 0.0 0.75 0.0 "" "" "")
        ))
	(mlay "5" 7)
	(if (= m1 25.4) (command "_text" "c" p7 (/ 2.0 m1) ang5 (strcase (strcat linesize " x " tl2 "\""))))
	(if (= m1 1.0)  (command "_text" "c" p7 (/ 2.0 m1) ang5 (strcase (strcat linesize " x " tl1))))
	(mlay "0" 7)
        (mlay (strcat tl1 "_2") 4)
	(command "_line" p2 p3 p4 p5 "")
	(if (= i2 3) (make_bl "thfc" p1))
	(if (= i2 6) (make_bl "thhc" p1))
	(pblay lname "4" 7)
	(weld p1)
        (mlay (strcat tl1 "_4") 7)
	      (make_bl "scrend" p6)
	(mlay (strcat tl1 "_1") 4)
	(command "_line" p6)
        (setnil4) (princ)
)(progn (princ "\nYou have not selected a pipeline") (tcoup i2) (princ)))
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun trap1m ( / e1 ename lname slen rlname linesize ang7 i2 i3
	        p1 p2 p3 p4 p5 p6 p7 p8 p9 p101 p102 os)
(startsetup) (traptyp)
	(sel_pipline)
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   ang7 (angle p101 p102)
		   i2 (rtd ang7)
   	           p1 (polar p101 ang7 (distance p101 p1))
             )
	(if (or (and (< ang7 (/ pi 1.9)) (> ang7 (/ pi 2.1)))
		(and (< ang7 (* 3.0 (/ pi 1.9))) (> ang7 (* 3.0 (/ pi 2.1))))
	    )
      (progn
	  (setq p2 (list (- (car p1) (/ 2.5 m1)) (cadr p1))
		p5 (list (+ (car p1) (/ 2.5 m1)) (cadr p1))
		p6 (polar p1 ang7 (/ 5.0 m1))
		p3 (list (- (car p6) (/ 2.5 m1)) (cadr p6))
		p4 (list (+ (car p6) (/ 2.5 m1)) (cadr p6)))
      )
      (progn
	  (setq p2 (list (car p1) (+ (cadr p1) (/ 2.5 m1)))
		p5 (list (car p1) (- (cadr p1) (/ 2.5 m1)))
		p6 (polar p1 ang7 (/ 5.0 m1))
		p3 (list (car p6) (+ (cadr p6) (/ 2.5 m1)))
		p4 (list (car p6) (- (cadr p6) (/ 2.5 m1))))
      )
   )
	(setq p7 (polar p1 ang7 (/ 2.5 m1)))
  (cond ((and (>= i2 80.0) (<= i2 100.0))
  	(setq p8 (polar p7 (dtr 0.0) (/ 5.0 m1))
	      p9 (polar p8 (dtr 0.0) (/ 3.5 m1))
        ))
	((and (>= i2 260.0) (<= i2 280.0))
  	(setq p9 (polar p7 (dtr 180.0) (/ 4.5 m1))
	      p8 (polar p9 (dtr 180.0) (/ 3.5 m1))
        ))
        (T
	(setq p8 (polar p7 (dtr 270.0) (/ 5.0 m1))
	      p9 (polar p8 (dtr 270.0) (/ 3.5 m1))
        ))
   )
	(pblay lname "2" 4)
	(command "_break" p1 "f" p1 p6 
		 "_line" p2 p3 p4 p5 p2 "")
    (if (= trty "thdc")
       (progn (make_bl "traptd" p1)
        (mlay (strcat lname "_4") 7)
	      (make_bl "scrend" p6)
	      (make_bl "scrend" p1)	 
        )
       (progn (make_bl "trapbf" p1)
        (mlay (strcat lname "_4") 7)
	      (make_bl "scrend" p6)	 
	      (make_bl "scrend" p1)	 
       )
    )
	(mlay "5" 7)
	(if (and (>= i2 0.0) (< i2 80.0))
             (progn
             (setq i3 i2)
             (command 	 "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (>= i2 80.0) (< i2 100.0))
             (progn
             (setq i3 i2)
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (>= i2 100.0) (< i2 180.0))
             (progn
             (setq i3 (+ i2 180.0))
	     (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
	(if (and (>= i2 180.0) (< i2 260.0))
            (progn
            (setq i3 (- i2 180.0))
	    (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (>= i2 260.0) (< i2 280.0))
             (progn
             (setq i3 (+ i2 180.0))
             (command "_style" "romans" "" 0.0 0.75 30.0 "" "" "")
        ))
	(if (and (>= i2 280.0) (< i2 360.0))
            (progn
            (setq i3 i2)
	    (command "_style" "romans" "" 0.0 0.75 -30.0 "" "" "")
        ))
  	(command "_text" "middle" p7 (/ 2.0 m1) i3 "T"
		 "_text" "middle" p9 (/ 2.0 m1) i3 "STEAM TRAP"
	)
    (if (= trty "thdc")
	(command "_text" "middle" p8 (/ 2.0 m1) i3 "THERMODYNAMIC")
	(command "_text" "middle" p8 (/ 2.0 m1) i3 "BALL FLOAT")
    )
	(mlay "0" 7)
        (setnil4) (princ)
)(progn (princ "\nYou have not selected a pipeline") (trap) (princ)))
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun vicoup ( z1 / e1 ename lname slen rlname linesize ang7
	             i1 i2 p1 p2 p3 p4 p5 p6 p7 p8 p9 p101 p102 t1 os)
(startsetup)
	(sel_pipline)
        (if (= (cdr (assoc 0 (entget ename))) "LINE")
          (progn
             (setq p101 (cdr (assoc 10 (entget ename)))
                   p102 (cdr (assoc 11 (entget ename)))
                   i2 (angle p101 p102)
   	           p1 (polar p101 i2 (distance p101 p1))
                   i1 (rtd (angle p101 p102))
             )
      (if (or (and (>= i1 0.0) (<= i1 45.0))
              (and (>= i1 180.0) (<= i1 225.0))
              (and (>= i1 145.0) (<= i1 180.0))
              (and (>= i1 315.0) (<= i1 360.0))
          )
        (progn
        (if (and (>= i1 0.0) (<= i1 45.0))
          (setq p7 (polar p1 i2 (/ 1.0 m1))
                p6 (polar p1 (+ i2 pi) (/ 1.0 m1))
		p2 (list (car p6) (+ (cadr p6) (/ 2.5 m1)))
		p5 (list (car p6) (- (cadr p6) (/ 1.5 m1)))
		p3 (list (car p7) (+ (cadr p7) (/ 1.5 m1)))
		p4 (list (car p7) (- (cadr p7) (/ 2.5 m1)))
		p8 (list (car p1) (- (cadr p1) (/ 2.5 m1)))
                p9 (list (car p1) (+ (cadr p1) (/ 2.5 m1))))
        )
        (if (and (>= i1 180.0) (<= i1 225.0))
          (setq p7 (polar p1 i2 (/ 1.0 m1))
                p6 (polar p1 (+ i2 pi) (/ 1.0 m1))
		p2 (list (car p6) (+ (cadr p6) (/ 1.5 m1)))
		p5 (list (car p6) (- (cadr p6) (/ 2.5 m1)))
		p3 (list (car p7) (+ (cadr p7) (/ 2.5 m1)))
		p4 (list (car p7) (- (cadr p7) (/ 1.5 m1)))
		p8 (list (car p1) (- (cadr p1) (/ 2.5 m1)))
                p9 (list (car p1) (+ (cadr p1) (/ 2.5 m1))))
        )
        (if (and (>= i1 145.0) (<= i1 180.0))
          (setq p7 (polar p1 i2 (/ 1.0 m1))
                p6 (polar p1 (+ i2 pi) (/ 1.0 m1))
		p2 (list (car p6) (+ (cadr p6) (/ 2.5 m1)))
		p5 (list (car p6) (- (cadr p6) (/ 1.5 m1)))
		p3 (list (car p7) (+ (cadr p7) (/ 1.5 m1)))
		p4 (list (car p7) (- (cadr p7) (/ 2.5 m1)))
		p8 (list (car p1) (- (cadr p1) (/ 2.5 m1)))
                p9 (list (car p1) (+ (cadr p1) (/ 2.5 m1))))
        )
        (if (and (>= i1 315.0) (<= i1 360.0))
          (setq p7 (polar p1 i2 (/ 1.0 m1))
                p6 (polar p1 (+ i2 pi) (/ 1.0 m1))
		p2 (list (car p6) (+ (cadr p6) (/ 1.5 m1)))
		p5 (list (car p6) (- (cadr p6) (/ 2.5 m1)))
		p3 (list (car p7) (+ (cadr p7) (/ 2.5 m1)))
		p4 (list (car p7) (- (cadr p7) (/ 1.5 m1)))
		p8 (list (car p1) (- (cadr p1) (/ 2.5 m1)))
                p9 (list (car p1) (+ (cadr p1) (/ 2.5 m1))))
        )
        )
          (setq p7 (polar p1 i2 (/ 1.0 m1))
                p6 (polar p1 (+ i2 pi) (/ 1.0 m1))
                p2 (polar p6 (+ i2 (/ pi 2.0)) (/ 1.5 m1))
                p5 (polar p6 (+ i2 (* 3 (/ pi 2.0))) (/ 1.5 m1))
                p3 (polar p7 (+ i2 (/ pi 2.0)) (/ 1.5 m1))
                p4 (polar p7 (+ i2 (* 3 (/ pi 2.0))) (/ 1.5 m1))
                p9 (polar p1 (+ i2 (/ pi 2.0)) (/ 2.5 m1))
                p8 (polar p1 (+ i2 (* 3 (/ pi 2.0))) (/ 2.5 m1)))
      )
	(command "_break" p1 "f" p6 p7)
	(pblay lname "2" 4)
	(command "_line" p2 p5 ""
		 "_line" p3 p4 ""
		 "_line" p8 p9 "")
   (if (= z1 1) (progn
        (yesno 2)
	(initget "Y N")         
	(while (= t1 "") (setq t1 (getkword "\nThreaded (Y or N) <Y> : ")))
	(if (= t1 "N") (progn
			(pblay lname "2" 4)
			(make_bl "uniw" p1)
			(pblay lname "4" 7)
	   		(weld p6) (weld p7)
		       )
	  	       (progn
			(pblay lname "2" 4)
	  		(make_bl "unit" p1)
			(pblay lname "4" 7)
	                (make_bl "scrend" p1)
	                (make_bl "scrend" p1)
		       )
	)
    ))
   (if (= z1 2) (progn
     (pblay lname "2" 4)
     (if (< (car p3) (car p2))
	(command "_arc" p3 p9 p2
                 "_arc" p5 p8 p4)
	(command "_arc" p2 p9 p3
                 "_arc" p4 p8 p5)
     )
     (make_bl "vicw" p1)
	(pblay lname "4" 7)
           (weld p6) (weld p7)
    ))
     (mlay "0" 7)
        (setnil4) (princ)
)(progn (princ "\nYou have not selected a pipeline") (princ)))
    (princ) (setnil4) (princ)
) ;------------------------------------------------------------------------
(defun flexhose ( / ang7 e1 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 os)
(startsetup)
	(setvar "osmode" 512)
	(while (not p1) (setq p1 (getpoint "\nFlexible Hose Start Point : ")))
	(setq e1 (ssget p1)
              e2 (cdr (assoc 8 (entget(ssname e1 0)))))
	(setvar "osmode" 0)
        (get_ang "Angle in Degrees of Flexible Hose : ")
	(if (not ang7) (setq ang7 (getreal "\nAngle in Degrees of Flexible Hose : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	  (setq ang7 (dtr ang7)
		p2 (polar p1 ang7 (/ 5.0 m1))
		p3 (polar p2 ang7 (/ 3.0 m1))
		p4 (polar p3 ang7 (/ 3.0 m1))
		p5 (polar p4 ang7 (/ 3.0 m1))
		p6 (polar p5 ang7 (/ 3.0 m1))
		p7 (polar p6 ang7 (/ 3.0 m1))
		p8 (polar p7 ang7 (/ 3.0 m1))
		p9 (polar p8 ang7 (/ 3.0 m1))
		p10 (polar p9 ang7 (/ 5.0 m1)))
	(pblay e2 "2" 4)
  	(command "_line" p1 p2 ""
		 "_arc" p2 "e" p3 "a" 180.0
		 "_arc" p4 "e" p3 "a" 180.0
		 "_arc" p4 "e" p5 "a" 180.0
		 "_arc" p6 "e" p5 "a" 180.0
		 "_arc" p6 "e" p7 "a" 180.0
		 "_arc" p8 "e" p7 "a" 180.0
		 "_arc" p8 "e" p9 "a" 180.0
		 "_line" p9 p10 ""
                 "_redraw")
        (make_bl "hosf" p1)
  	(mlay "0" 7)
    (princ) (setnil4) (princ)
) ;---------------------------------------------------------------------------
(defun hose ( / ang7 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12 p13
                   p22 p23 p24 p25 p26 p27 p28 p29 p30 e1 e2 os)
(startsetup)
	(setvar "osmode" 512)
	(while (not p1) (setq p1 (getpoint "\nStart Point of InLine Hose  : ")))
	(setvar "osmode" 0)
	(setq e1 (ssget p1)
              e2 (cdr (assoc 8 (entget(ssname e1 0)))))
        (get_ang "Angle in Degrees of Inline Hose : ")
	(if (not ang7) (setq ang7 (getreal "\nAngle in Degrees of Inline Hose : ")))
	(if (minusp ang7) (setq ang7 (+ 360.0 ang7)))
	  (setq ang7 (dtr ang7)
		p11 (polar p1 (+ ang7 (/ pi 2.0)) (/ 2.0 m1))
		p12 (polar p1 (+ ang7 (/ (* 3.0 pi) 2.0)) (/ 2.0 m1))
		p2 p11
		p3 (polar p2 ang7 (/ 3.0 m1))
		p4 (polar p3 ang7 (/ 3.0 m1))
		p5 (polar p4 ang7 (/ 3.0 m1))
		p6 (polar p5 ang7 (/ 3.0 m1))
		p7 (polar p6 ang7 (/ 3.0 m1))
		p8 (polar p7 ang7 (/ 3.0 m1))
		p9 (polar p8 ang7 (/ 3.0 m1))
		p10 p9
		p22 p12
		p13 (polar p1 ang7 (/ 21.0 m1))
		p23 (polar p22 ang7 (/ 3.0 m1))
		p24 (polar p23 ang7 (/ 3.0 m1))
		p25 (polar p24 ang7 (/ 3.0 m1))
		p26 (polar p25 ang7 (/ 3.0 m1))
		p27 (polar p26 ang7 (/ 3.0 m1))
		p28 (polar p27 ang7 (/ 3.0 m1))
		p29 (polar p28 ang7 (/ 3.0 m1))
		p30 p29)
	(pblay e2 "2" 4)
	(command "_break" p1 "f" p1 p13
		 "_arc" p3 "e" p2 "a" 120.0
		 "_arc" p3 "e" p4 "a" 120.0
		 "_arc" p5 "e" p4 "a" 120.0
		 "_arc" p5 "e" p6 "a" 120.0
		 "_arc" p7 "e" p6 "a" 120.0
		 "_arc" p7 "e" p8 "a" 120.0
		 "_arc" p9 "e" p8 "a" 120.0
		 "_line" p11 p12 ""
		 "_arc" p22 "e" p23 "a" 120.0
		 "_arc" p24 "e" p23 "a" 120.0
		 "_arc" p24 "e" p25 "a" 120.0
		 "_arc" p26 "e" p25 "a" 120.0
		 "_arc" p26 "e" p27 "a" 120.0
		 "_arc" p28 "e" p27 "a" 120.0
		 "_arc" p28 "e" p29 "a" 120.0
		 "_line" p10 p30 "")
        (make_bl "hosi" p1)
	(pblay e2 "0" 7)
	(setnil4) (princ)
) ;---------------------------------------------------------------------------
(defun setnil4 ()
    (setq hose nil stub nil hexcoup nil tcoup nil trap1m  nil vicoup  nil flexhose nil
    )
)  (princ)
 ;-----------------------------------------------------------------------
